(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     74652,       2599]*)
(*NotebookOutlinePosition[    137550,       4799]*)
(*  CellTagsIndexPosition[    135955,       4750]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Reference Manual for MathGL3d 2.2", "Title",
  CellFrame->{{0, 0}, {3, 0}},
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.333333]],

Cell["Jens-Peer Kuska", "Subtitle",
  CellFrame->{{0, 0}, {2, 0}}],

Cell[CellGroupData[{

Cell["Table of Contents", "Section"],

Cell[TextData[ButtonBox["Installation of MathGL3d",
  ButtonData:>"Installation",
  ButtonStyle->"Hyperlink"]], "Text"],

Cell[TextData[ButtonBox["General, Unix Microsoft Windows",
  ButtonData:>"Installation Unix and Windows",
  ButtonStyle->"Hyperlink"]], "IndentedText"],

Cell[TextData[ButtonBox["Macintosh",
  ButtonData:>"Installation Macintosh",
  ButtonStyle->"Hyperlink"]], "IndentedText"],

Cell[TextData[ButtonBox["Command line options",
  ButtonData:>"Commandline",
  ButtonStyle->"Hyperlink"]], "Text"],

Cell[TextData[ButtonBox["Saveing Your Work",
  ButtonData:>"ExportFeatures",
  ButtonStyle->"Hyperlink"]], "Text"],

Cell[TextData[ButtonBox["Using MathGL3d with Mathematica ",
  ButtonData:>"Using MathGL from Mathematica",
  ButtonStyle->"Hyperlink"]], "Text"],

Cell[TextData[{
  ButtonBox["MVShow3D",
    ButtonData:>"MVShow3D",
    ButtonStyle->"Hyperlink"],
  StyleBox["[]", "IndentedText"]
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVPutTexture",
    ButtonData:>"MVPutTexture",
    ButtonStyle->"Hyperlink"],
  StyleBox["[]", "IndentedText"]
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVApplyTexture",
    ButtonData:>"MVApplyTexture",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVGetGraphics3D",
    ButtonData:>"MVGetGraphics3D",
    ButtonStyle->"Hyperlink"],
  StyleBox["[]", "IndentedText"]
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVGetRasterImage",
    ButtonData:>"MVGetRasterImage",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVClear",
    ButtonData:>"MVClear",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVClose",
    ButtonData:>"MVClose",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[ButtonBox["Export and Import 3D Graphics",
  ButtonData:>"Export and Import Graphics",
  ButtonStyle->"Hyperlink"]], "Text"],

Cell[TextData[{
  ButtonBox["MVLoad3Script",
    ButtonData:>"MVLoad3Script",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVLoadDXF",
    ButtonData:>"MVLoadDXF",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVLoadOFF",
    ButtonData:>"MVLoadOFF",
    ButtonStyle->"Hyperlink"],
  "[]\n",
  ButtonBox["MVWriteOFF",
    ButtonData:>"MVWriteOFF",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVWrite3DMF",
    ButtonData:>"MVWrite3DMF",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVWriteDXF",
    ButtonData:>"MVWriteDXF",
    ButtonStyle->"Hyperlink"],
  "[]\n",
  ButtonBox["MVWritePOVRay",
    ButtonData:>"MVWritePOVRay",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVWritePNG",
    ButtonData:>"MVWritePNG",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVWriteEPS",
    ButtonData:>"MVWriteEPS",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVWriteVRML",
    ButtonData:>"MVWriteVRML",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["Window ",
    ButtonData:>"Window Functions",
    ButtonStyle->"Hyperlink"],
  "Functions"
}], "Text"],

Cell[TextData[{
  ButtonBox["MVReshapeWindow",
    ButtonData:>"MVReshapeWindow",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVShowWindow",
    ButtonData:>"MVShowWindow",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVHideWindow",
    ButtonData:>"MVHideWindow",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVIconifyWindow",
    ButtonData:>"MVIconifyWindow",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVPopWindow",
    ButtonData:>"MVPopWindow",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVPushWindow",
    ButtonData:>"MVPushWindow",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVSpin",
    ButtonData:>"MVSpin",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVStopSpin",
    ButtonData:>"MVStopSpin",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[ButtonBox["Utilites",
  ButtonData:>"Utilities",
  ButtonStyle->"Hyperlink"]], "Text"],

Cell[TextData[{
  ButtonBox["MVCreatePalette",
    ButtonData:>"MVCreatePalette",
    ButtonStyle->"Hyperlink"],
  "[]\n",
  ButtonBox["MVPolygonReduce",
    ButtonData:>"MVPolygonReduce",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVRotate3D",
    ButtonData:>"MVRotate3D",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVTranslate3D",
    ButtonData:>"MVTranslate3D",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVGetLightSources",
    ButtonData:>"MVGetLightSources",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "IndentedText"],

Cell[TextData[{
  ButtonBox["MVGetPlotRange",
    ButtonData:>"MVGetPlotRange",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "ItemizedText"],

Cell[TextData[{
  ButtonBox["MVGetViewPoint",
    ButtonData:>"MVGetViewPoint",
    ButtonStyle->"Hyperlink"],
  "[]"
}], "ItemizedText"],

Cell[BoxData[""], "Input"],

Cell[TextData[{
  ButtonBox["Modification of Standard Functions and Packages",
    ButtonData:>"Modifications",
    ButtonStyle->"Hyperlink"],
  " "
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Installation of MathGL3d", "Section",
  CellTags->"Installation"],

Cell[CellGroupData[{

Cell["Unix and Microsoft Windows Installation", "Subsection",
  CellTags->"Installation Unix and Windows"],

Cell[TextData[{
  "You must decompress the archive in the  ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " top directory . With version 2.0 MathGL3d has a command line switch \
(+mvcp) to create the ",
  StyleBox["OpenGLViewer.m",
    FontFamily->"Arial"],
  " package. On Unix machines, the program must be called with the full \
location to the binary. If MathGL3d is called with this switch it creates the \
package with the ",
  StyleBox["Install[LinkOpen[\"\[LeftAngleBracket]",
    FontFamily->"Courier"],
  StyleBox["mathgl-binary\[RightAngleBracket]",
    FontFamily->"Courier",
    FontSlant->"Italic"],
  StyleBox[" -mathlink\"]]",
    FontFamily->"Courier"],
  " command. You must copy this package somewhere in the ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " search path for packages. Now the OpenGL viewer can be loaded with ",
  StyleBox["Get[\"OpenGLViewer`\"]",
    FontFamily->"Courier"],
  ". The program comes with a ",
  StyleBox["OpenGLViewer.m",
    FontFamily->"Helvetica"],
  " package and you may edit the file and insert the correct location of the \
binary and the textures.",
  StyleBox[" ",
    Background->RGBColor[1, 1, 0]],
  StyleBox["If the standard location $",
    FontColor->RGBColor[1, 0, 0],
    Background->RGBColor[1, 1, 0]],
  StyleBox["TopDirectory/AddOns/Applications/MathGL3d",
    FontFamily->"Helvetica",
    FontColor->RGBColor[1, 0, 0],
    Background->RGBColor[1, 1, 0]],
  StyleBox[" is used, no modifications are needed",
    FontColor->RGBColor[1, 0, 0],
    Background->RGBColor[1, 1, 0]],
  "."
}], "Text",
  CellTags->"Installation Unix and Windows"],

Cell[BoxData[
    \(Get["\<MathGL3d`OpenGLViewer`\>"]\)], "Input",
  CellLabel->"In[42]:=",
  CellTags->"Installation Unix and Windows"],

Cell["\<\
MathGL3d installed, Version 2.2
for MacOS system Power Macintosh
\[Copyright] by Jens-Peer Kuska 1997,98,99
with MathLink from Wolfram Research.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MVClose[]\)], "Input",
  CellLabel->"In[43]:=",
  CellTags->"Installation Unix and Windows"],

Cell[BoxData[
    \("mathview3d"\)], "Output",
  CellLabel->"Out[43]="]
}, Open  ]],

Cell[TextData[{
  "The MathGL3d package comes with files for the Online Help of ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " and you may rebuild the help index.\nIf you have your texture bitmaps \
collected in one or more directories the",
  StyleBox[" $MVTexturePath",
    FontFamily->"Courier"],
  " variable must be set to the list of these directories to enable the \
automatic search for textures with back quotes at the beginning of the file \
name. The best place to set the texture path is the ",
  StyleBox["OpenGLViewer.m",
    FontFamily->"Helvetica"],
  " package. "
}], "Text",
  CellTags->"Installation Unix and Windows"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Macintosh Installation", "Subsection",
  CellTags->"Installation Macintosh"],

Cell[TextData[{
  "Macintosh user may need a OpenGL library, the ",
  ButtonBox["Mesa for Mac",
    ButtonData:>{
      URL[ "http://valerie.inf.elte.hu/~boga/Mesa.html"], None},
    ButtonStyle->"Hyperlink"],
  ". Follow the installation instructions for the ",
  ButtonBox["Macintosh Mesa 3D",
    ButtonData:>{
      URL[ "http://www.mesa3d.org/mac"], None},
    ButtonStyle->"Hyperlink"],
  ". The ",
  ButtonBox["Cosmo Player",
    ButtonData:>{
      URL[ "http://cosmosoftware.com/products/player/developer/"], None},
    ButtonStyle->"Hyperlink"],
  " for Macintosh comes also with a OpenGL library (from Conix). The expanded \
MathGL3d folder must be moved to the ",
  StyleBox["$TopDirectory:AddOns:Applications",
    FontFamily->"Helvetica"],
  " folder of the ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " installation. The notebooks with the palettes for the texture options \
must be moved to the ",
  StyleBox["$TopDirectory:SystemFiles:FrontEnd:Palettes",
    FontFamily->"Helvetica"],
  " folder."
}], "Text",
  CellTags->"Installation Macintosh"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Command line Options", "Section",
  CellTags->"Commandline"],

Cell[TextData[{
  "On the most platforms the OpenGL Viewer can run independent of ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  ". In the stand alone mode it reads 3Scripts written by ",
  StyleBox["Mathematica,",
    FontSlant->"Italic"],
  " can display, animate and convert the graphics into POVRay or DXF, OFF, \
QuickDraw3D Metafiles, virtual reality worlds (VRML version 2.0) and PNG \
files. The OpenGL viewer can create smooth shaded PostScript output and is \
also able to read DXF files created by itself, ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " and many other programms. \nThe command line options are:"
}], "Text",
  CellTags->"Commandline"],

Cell[TextData[Cell[BoxData[GridBox[{
        {
          StyleBox[\(Command\ line\ switch\),
            FontFamily->"Times",
            FontWeight->"Bold"], 
          StyleBox[
            RowBox[{
              StyleBox["D",
                FontWeight->"Bold"], 
              StyleBox["efault",
                FontFamily->"Times",
                FontWeight->"Bold"]}]], 
          StyleBox["Meaning",
            FontWeight->"Bold"]},
        {
          RowBox[{
            StyleBox[\(-mvfile\),
              CellFrame->True,
              Background->GrayLevel[0.849989]], 
            StyleBox[" ",
              CellFrame->True,
              Background->GrayLevel[0.849989]], 
            RowBox[{
              StyleBox["\[LeftAngleBracket]",
                CellFrame->True,
                Background->GrayLevel[0.849989]], 
              StyleBox[\(input\ file\),
                CellFrame->True,
                FontSlant->"Italic",
                Background->GrayLevel[0.849989]], 
              StyleBox["\[RightAngleBracket]",
                CellFrame->True,
                Background->GrayLevel[0.849989]]}]}], \(\*"\<\"\"\>" - \), 
          StyleBox[\(read\ 3 Script\ as\ input\),
            "Text",
            FontFamily->"Times"]},
        {
          RowBox[{\(-mvindxf\), " ", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(dxf\ file\),
                FontSlant->"Italic"], "\[RightAngleBracket]"}]}], "-", 
          StyleBox[\(read\ a\ DXF\ file\ as\ input\),
            FontFamily->"Times"]},
        {
          RowBox[{\(-mvinoff\), " ", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(off\ file\),
                FontSlant->"Italic"], "\[RightAngleBracket]"}]}], "-", 
          StyleBox[\(read\  one\  of\  Geomviews\ \n\t OFF\  files\),
            FontFamily->"Times"]},
        {
          RowBox[{\(-mvpov\), " ", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(POVRay\ file\),
                FontSlant->"Italic"], "\[RightAngleBracket]"}]}], "-", 
          StyleBox[\(save\ POVRay\ script\),
            FontFamily->"Times"]},
        {
          RowBox[{\(-mv3dm\), " ", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(QuickDraw3D\ file\),
                FontSlant->"Italic"], "\[RightAngleBracket]"}]}], "-", 
          StyleBox[\(save\ QuickDraw3D\ meta\ file\),
            FontFamily->"Times"]},
        {
          RowBox[{\(-mvwrl\), " ", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(VRML\ 2.0\ file\),
                FontSlant->"Italic"], "\[RightAngleBracket]"}]}], "-", 
          StyleBox[\(save\ the\ data\ as\ VRML\ 2.0\ world\),
            FontFamily->"Times"]},
        {
          RowBox[{\(-mvdxf\), " ", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(DXF\ file\),
                FontSlant->"Italic"], "\[RightAngleBracket]"}]}], "-", 
          StyleBox[\(save\ DXF\ file\),
            FontFamily->"Times"]},
        {
          RowBox[{\(-mvtex\), " ", 
            StyleBox[\(\[LeftAngleBracket]png\ file\[RightAngleBracket]\),
              FontSlant->"Italic"]}], "-", 
          StyleBox[\(load\ a\ PNG\ file\ \ as\ texture\),
            "Text",
            FontFamily->"Times"]},
        {
          RowBox[{\(-mvtxm\), " ", 
            StyleBox[\(\[LeftAngleBracket]map\ type\[RightAngleBracket]\),
              FontSlant->"Italic"]}], "p", 
          
          StyleBox[
            \(\(use\ the\ texture\ mapping\ of\ type\)\ \n\t\(p \((lanar)\), 
              \n\tc \((ylindrical)\)\)\n\t\(s \((pherical)\)\)\n\t
              \(t \((orus)\)\)\),
            "Text",
            FontFamily->"Times"]},
        {\(\[PlusMinus]mvno\), \(-mvno\), 
          RowBox[{
            RowBox[{
              RowBox[{\(-mvno\), " ", 
                StyleBox["display",
                  FontFamily->"Times"], 
                StyleBox[" ",
                  FontFamily->"Times"], 
                StyleBox["the",
                  FontFamily->"Times"], 
                StyleBox[" ",
                  FontFamily->"Times"], 
                StyleBox["data",
                  FontFamily->"Times"]}], ",", " ", "\n", "\t", 
              RowBox[{\(+mvno\), 
                StyleBox[" ",
                  FontFamily->"Times"], 
                StyleBox["run",
                  FontFamily->"Times"], 
                StyleBox[" ",
                  FontFamily->"Times"], 
                StyleBox["as",
                  FontFamily->"Times"], 
                StyleBox[" ",
                  FontFamily->"Times"], 
                StyleBox["filter",
                  FontFamily->"Times"]}]}], 
            StyleBox["\n",
              FontFamily->"Times"], 
            StyleBox["\t",
              FontFamily->"Times"], 
            StyleBox[\(and\ do\ not\ display\ the\),
              FontFamily->"Times"], 
            StyleBox[" ",
              FontFamily->"Times"], 
            StyleBox["\n",
              FontFamily->"Times"], 
            StyleBox["\t",
              FontFamily->"Times"], 
            StyleBox[\(data\ from\ the\ 3 Script\),
              FontFamily->"Times"]}]},
        {\(\[PlusMinus]mvs\), \(-mvs\), 
          RowBox[{\(+mvs\), " ", 
            StyleBox["show",
              FontFamily->"Times"], 
            StyleBox[" ",
              FontFamily->"Times"], 
            StyleBox["smooth",
              FontFamily->"Times"], 
            StyleBox[" ",
              FontFamily->"Times"], 
            StyleBox["surfaces",
              FontFamily->"Times"]}]},
        {\(\[PlusMinus]mvw\), \(-mvw\), 
          RowBox[{\(+mvw\), " ", 
            StyleBox["show",
              FontFamily->"Times"], 
            StyleBox[" ",
              FontFamily->"Times"], 
            StyleBox["wire",
              FontFamily->"Times"], 
            StyleBox[" ",
              FontFamily->"Times"], 
            StyleBox["frame",
              FontFamily->"Times"]}]},
        {\(\[PlusMinus]mvo\), \(-mvo\), 
          RowBox[{\(+mvo\), 
            StyleBox[" ",
              FontFamily->"Times"], 
            StyleBox["show",
              FontFamily->"Times"], 
            StyleBox[" ",
              FontFamily->"Times"], 
            StyleBox["polygon",
              FontFamily->"Times"], 
            StyleBox[" ",
              FontFamily->"Times"], 
            StyleBox["outline",
              FontFamily->"Times"]}]},
        {\(\[PlusMinus]mvct\), \(-mvct\), 
          RowBox[{
            RowBox[{\(+mvct\), " ", 
              StyleBox["triangulate",
                FontFamily->"Times"], 
              StyleBox[" ",
                FontFamily->"Times"], 
              StyleBox["polygons",
                FontFamily->"Times"]}], 
            StyleBox[" ",
              FontFamily->"Times"], "\n", "\t", 
            StyleBox[\(with\ a\ new\ center\ point\),
              FontFamily->"Times"]}]},
        {\(\[PlusMinus]mvue\), \(+mvue\), 
          
          StyleBox[
            \(\(use\ extrusions\ in\ VRML\ files\)\ \n\(for\ lines, \ 
              otherwise\ generate\)\n\(expanded\ polygons\)\),
            FontFamily->"Times"]},
        {
          RowBox[{\(-mvts\), " ", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox["Double",
                FontSlant->"Italic"], "\[RightAngleBracket]"}]}], "0.0", 
          StyleBox[\(tube\ size\),
            FontFamily->"Times"]},
        {
          RowBox[{\(-mvta\), " ", 
            RowBox[{
              StyleBox["\[LeftAngleBracket]",
                FontSlant->"Italic"], 
              StyleBox["Double",
                FontSlant->"Italic"], "\[RightAngleBracket]"}]}], 
          \(30  \[Degree]\), 
          StyleBox[\(angle\ to\ prevent\ line\ continuation\),
            FontFamily->"Times"]},
        {
          RowBox[{\(-mvps\), " ", 
            RowBox[{
              StyleBox["\[LeftAngleBracket]",
                FontSlant->"Italic"], 
              StyleBox["Double",
                FontSlant->"Italic"], "\[RightAngleBracket]"}]}], "0.0", 
          StyleBox[\(size\ of\ spheres\ for\ point\ display\),
            FontFamily->"Times"]},
        {
          RowBox[{
            StyleBox[\(-mvpr\),
              FontFamily->"Courier"], " ", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox["Double",
                FontSlant->"Italic"], 
              StyleBox["\[RightAngleBracket]",
                FontSlant->"Italic"]}]}], "0.0", 
          StyleBox[\(tolerance\ for\ polygon\ reduction\),
            FontFamily->"Times"]},
        {
          RowBox[{\(-mvrit\), 
            StyleBox[" ",
              FontSlant->"Italic"], 
            StyleBox[\(\[LeftAngleBracket]Integer\[RightAngleBracket]\),
              FontSlant->"Italic"]}], "0", 
          StyleBox[\(iterations\ for\ polygon\ reduction\),
            FontFamily->"Times"]},
        {\(\[PlusMinus]mvcp\), \(-mvcp\), 
          RowBox[{
            RowBox[{
              StyleBox["create",
                FontFamily->"Times"], 
              StyleBox[" ",
                FontFamily->"Times"], 
              StyleBox["the",
                FontFamily->"Times"], 
              StyleBox[" ",
                FontFamily->"Times"], 
              StyleBox[\(OpenGLViewer . m\),
                FontFamily->"Arial"], 
              StyleBox[" ",
                FontFamily->"Times"], 
              StyleBox["package",
                FontFamily->"Times"]}], 
            StyleBox[" ",
              FontFamily->"Times"], "\n", "\t", 
            StyleBox[\(and\ exit\ the\ program\),
              FontFamily->"Times"]}]}
        },
      GridFrame->True,
      RowLines->True,
      ColumnLines->True]]]], "Table",
  CellFrame->True,
  TextAlignment->-0.5,
  Background->GrayLevel[0.849989],
  CellTags->"Commandline"],

Cell[TextData[{
  StyleBox[
  "Notice that a command line option must be given to open the window",
    FontWeight->"Bold"],
  ". When the program is called from the command line with out any option the \
Unix version prints out a list of possible options. The MS-Windows version \
opens a message window . Only the Macintosh version run in ",
  StyleBox["MathLink",
    FontSlant->"Italic"],
  " mode without the ",
  StyleBox["-mathlink",
    FontFamily->"Courier"],
  " switch\n",
  StyleBox["The Macintosh version run in a ",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["MathLink",
    FontSlant->"Italic",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox[" mode only. You can't run MathGL3d without ",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["Mathematica",
    FontSlant->"Italic",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox[".",
    FontColor->RGBColor[1, 0, 0]],
  "\nThe command line conversion to VRML 2.0 will not create textures. The \
main reason is that the textures are scaled by an OpenGL function and the \
export is done before OpenGL is initialized. Since OpenGL can not deal with \
texture dimensions \[NotEqual] ",
  Cell[BoxData[
      \(TraditionalForm\`2\^n\)]],
  " the PNG files given as textures must have the dimensions ",
  Cell[BoxData[
      \(TraditionalForm\`2\^n\[Times]2\^m\)]],
  " where ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " and ",
  Cell[BoxData[
      \(TraditionalForm\`m\)]],
  " are integers. "
}], "Text",
  CellTags->"Commandline"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Saving Your Work", "Section",
  CellTags->"ExportFeatures"],

Cell["\<\
MathGL3d supports many different output formats. It is nearly impossible to \
create identical output in all formats. The following table list the features \
supported by the exported files.\
\>", "Text",
  CellTags->"ExportFeatures"],

Cell[BoxData[
    FormBox[GridBox[{
          {"\[FilledCircle]", 
            ButtonBox["DXF",
              ButtonData:>"MVWriteDXF",
              ButtonStyle->"Hyperlink"], 
            ButtonBox["POVRay",
              ButtonData:>"MVWritePOVRay",
              ButtonStyle->"Hyperlink"], 
            ButtonBox[\(Quick\nDraw3D\),
              ButtonData:>"MVWrite3DMF",
              ButtonStyle->"Hyperlink"], 
            ButtonBox[\(VRML\ \n\t2.0\),
              ButtonData:>"MVWriteVRML",
              ButtonStyle->"Hyperlink"], 
            ButtonBox[\(PNG\nBitmaps\),
              ButtonData:>"MVWritePNG",
              ButtonStyle->"Hyperlink"], 
            ButtonBox["PostScript",
              ButtonData:>"MVWriteEPS",
              ButtonStyle->"Hyperlink"], 
            ButtonBox[\(PostScript\n\tBitmap\),
              ButtonData:>"MVWriteEPS",
              ButtonStyle->"Hyperlink"], 
            ButtonBox[\(Geomview\n\tOFF\),
              ButtonData:>"MVWriteOFF",
              ButtonStyle->"Hyperlink"]},
          {\(\(polygons\ &\)\ngeometry\), "yes", "yes", "yes", "yes", "yes", 
            "yes", "yes", "yes"},
          {\(intersection\ \nof\ polygons\), "yes", "yes", "yes", "yes", 
            "yes", "no", "yes", "yes"},
          {\(lines\ as\ tubes\), "yes", "yes", "yes", "yes", "yes", "yes", 
            "yes", "no"},
          {"meshes", "no", "yes", "yes", "no", \(\ \ \ \ \ \ n/a\), 
            \(\ \ \ \ \ \ \ n/a\), \(\ \ \ \ \ \ \ n/a\), "no"},
          {\(surface\ colors\), "no", "yes", "yes", "yes", "yes", "yes", 
            "yes", "no"},
          {"textures", "no", "partial", "no", "yes", "yes", "no", "yes", 
            "no"}
          },
        GridFrame->True], TextForm]], "Text",
  Background->GrayLevel[0.900008],
  CellTags->"ExportFeatures"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Using MathGL3d from Inside ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " "
}], "Section",
  CellTags->"Using MathGL from Mathematica"],

Cell[CellGroupData[{

Cell["MVShow3D", "Subsection",
  CellTags->"MVShow3D"],

Cell[TextData[{
  StyleBox["MVShow3D[",
    FontFamily->"Courier"],
  StyleBox["graphics3d",
    FontSlant->"Italic"],
  ", ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox["] ",
    FontFamily->"Courier"],
  StyleBox["displays the ",
    FontFamily->"Times"],
  StyleBox["Graphics3D[]",
    FontFamily->"Courier"],
  StyleBox[" object in the MathGL3d window",
    FontFamily->"Times"]
}], "ItemizedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->"MVShow3D"],

Cell[TextData[{
  StyleBox["MVShow3D[",
    FontFamily->"Courier"],
  StyleBox["surfacegraphics",
    FontFamily->"Times",
    FontSlant->"Italic"],
  ", ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox["] ",
    FontFamily->"Courier"],
  StyleBox["displays the ",
    FontFamily->"Times"],
  StyleBox["SurfaceGraphics[]",
    FontFamily->"Courier"],
  StyleBox[" object in the MathGL3d window",
    FontFamily->"Times"]
}], "ItemizedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->"MVShow3D"],

Cell[TextData[{
  StyleBox["MVShow3D[",
    FontFamily->"Courier"],
  StyleBox["meshgraphics3d",
    FontFamily->"Times",
    FontSlant->"Italic"],
  ", ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox["] ",
    FontFamily->"Courier"],
  StyleBox["displays the ",
    FontFamily->"Times"],
  StyleBox["MeshGraphics3D[]",
    FontFamily->"Courier"],
  StyleBox[" object in the MathGL3d window",
    FontFamily->"Times"]
}], "ItemizedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->"MVShow3D"],

Cell["The following options can be given:", "Text",
  CellTags->"MVShow3D"],

Cell[BoxData[
    FormBox[GridBox[{
          {"MVNewScene", 
            StyleBox["boolean",
              FontSlant->"Italic"], 
            StyleBox[\({True, False}\),
              FontFamily->"Courier"], 
            StyleBox["False",
              FontFamily->"Courier"], 
            \(\(If\ a\ new\ scene\ is\ send\ to\ the\ \[IndentingNewLine]
            
            OpenGL\ viewer\ \((MVNewScene\[IndentingNewLine] \[Rule] \ 
                  True)\)\ the\ previous\ added\ \[IndentingNewLine]
            data\ \ removed\ and\ replaced\ by\ the\ \[IndentingNewLine]
            new\ one . \ With\ the\ default\ setting\[IndentingNewLine]
            the\ \ 3  d\ graphics\ is\ added\ to\ \[IndentingNewLine]
            the\ \(\(scene\)\(.\)\)\)\(\ \ \ \)\)},
          {
            StyleBox["MVPolygonShading",
              FontFamily->"Courier"], 
            StyleBox["symbol",
              FontSlant->"Italic"], 
            StyleBox[\({MVFlat, \n\ MVSmooth, \nMVWireFrame}\),
              FontFamily->"Courier"], 
            StyleBox["MVSmooth",
              FontFamily->"Courier"], \(Determines\ how\ the\ connected\ \n
            polygons\ are\ rendered . \ \nAs\ flat\ polygons, \ 
            as\ smooth\ \n
            surface\ or\ as\ wire\ \(\(frame\)\(.\)\)\)},
          {
            StyleBox["MVLineTubeSize",
              FontFamily->"Courier"], 
            StyleBox["real",
              FontSlant->"Italic"], \(\(>\)\(0\)\), "0.01", 
            \(The\ thickness\ of\ the\ lines\ if\ \ the\n
            lines\ expanded\ to\ \(\(tubes\)\(.\)\)\)},
          {
            StyleBox["MVTubeAngle",
              FontFamily->"Courier"], 
            StyleBox["real",
              FontSlant->"Italic"], \(\(>\)\(0\)\), "30.", 
            \(The\ angle\ \((in\ degree)\)\ where\ \n
            the\ \ line\ coninuation\ is\ \(\(skiped\)\(.\)\)\)},
          {
            StyleBox["MVTubeSegments",
              FontFamily->"Courier"], 
            StyleBox["integer",
              FontSlant->"Italic"], \(\(>\)\(0\)\), "12", 
            \(The\ number\ of\ segments\ used\n
            \ to\ approximate\ the\ tubes\ arround\ \[IndentingNewLine]
            \(\(lines\)\(.\)\)\)},
          {
            StyleBox["MVPointSphereSize",
              FontFamily->"Courier"], 
            StyleBox["real",
              FontSlant->"Italic"], \(\(>\)\(0\)\), "0.01", 
            \(The\ radius\ used\ to\ render\ points\ \[IndentingNewLine]
            as\ \(\(spheres\)\(.\)\)\)},
          {
            StyleBox["MVGrayBackground",
              FontFamily->"Courier"], 
            StyleBox["boolean",
              FontSlant->"Italic"], 
            StyleBox[\({True, False}\),
              FontFamily->"Courier"], 
            StyleBox["False",
              FontFamily->"Courier"], 
            \(Draw\ a\ light\ gray\ \ background\ \n
            instead\ of\ the\ default\ \ black\ \(\(one\)\(.\)\)\)}
          },
        GridFrame->True], TextForm]], "Text",
  Background->GrayLevel[0.900008],
  CellTags->"MVShow3D"],

Cell[TextData[{
  "The",
  ButtonBox[" options of ",
    ButtonData:>"OptionsOfMVApplyTexture",
    ButtonStyle->"Hyperlink"],
  StyleBox[ButtonBox["MVApplyTexture[]",
    ButtonData:>"MVApplyTexture",
    ButtonStyle->"Hyperlink"],
    FontFamily->"Courier"],
  " can also be given to ",
  StyleBox["MVShow3D[],",
    FontFamily->"Courier"],
  " and ",
  StyleBox["MVShow3D[]",
    FontFamily->"Courier"],
  " will call ",
  StyleBox[ButtonBox["MVApplyTexture[]",
    ButtonData:>"MVApplyTexture",
    ButtonStyle->"Hyperlink"],
    FontFamily->"Courier"],
  " when the ",
  StyleBox["MVTexture",
    FontFamily->"Courier"],
  " option is found. If a PNG file ",
  StyleBox["sometex.png",
    FontFamily->"Helvetica"],
  "  is given the  extension may be omitted  as ",
  StyleBox["\"sometex`\"",
    FontFamily->"Courier"],
  ". When the automatic searching of the texture file in the ",
  StyleBox["$MVTexturePath",
    FontFamily->"Courier"],
  " variable  is desired the file name can be given as ",
  StyleBox["\"`sometex`\"",
    FontFamily->"Courier"],
  "."
}], "Text",
  CellTags->"MVShow3D"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVPutTexture", "Subsection",
  CellTags->"MVPutTexture"],

Cell[TextData[{
  "   \[FilledSmallSquare]     ",
  StyleBox["MVPutTexture[",
    FontFamily->"Courier"],
  StyleBox["pngfile",
    FontSlant->"Italic"],
  ", ",
  StyleBox["opts",
    FontSlant->"Italic"],
  " ] loads a PNG bitmap into the texture memory of MathGL3d"
}], "ItemizedText",
  CellTags->"MVPutTexture"],

Cell[TextData[{
  "   \[FilledSmallSquare]    ",
  StyleBox[" MVPutTexture[ ",
    FontFamily->"Courier"],
  StyleBox["mathGraphics",
    FontSlant->"Italic"],
  ", ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox[" ]",
    FontFamily->"Courier"],
  " converts a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " graphics object into a bitmap and sends it to the texture memory"
}], "ItemizedText",
  CellTags->"MVPutTexture"],

Cell[TextData[{
  "   \[FilledSmallSquare]    ",
  StyleBox[" MVPutTexture[ ",
    FontFamily->"Courier"],
  StyleBox["rasterarray",
    FontSlant->"Italic"],
  ", ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox[" ]",
    FontFamily->"Courier"],
  " send a ",
  StyleBox["RasterArray[]",
    FontFamily->"Courier"],
  "  to the texture memory of MathGL3d"
}], "ItemizedText",
  CellTags->"MVPutTexture"],

Cell[TextData[{
  StyleBox["MVPutTexture[]",
    FontFamily->"Courier"],
  " returns a list of the texture identifier ",
  StyleBox["MVTexture2D[",
    FontFamily->"Courier"],
  StyleBox["idNumber",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  ", the width, the height, and the type of the texture. The texture \
identifier can be used for texture mapping. The possible texture types \
returned are:"
}], "Text",
  CellTags->"MVPutTexture"],

Cell[BoxData[
    FormBox[GridBox[{
          {
            StyleBox["MVLuminantTexture",
              FontFamily->"Courier"], 
            StyleBox[\(black\ white\ texture\),
              "Text"]},
          {
            StyleBox["MVLuminantAlphaTexture",
              FontFamily->"Courier"], 
            \(black\ white\ texture\ with\ \[Alpha] - channel\)},
          {
            StyleBox["MVRGBTexture",
              FontFamily->"Courier"], \(RGB\ texture\)},
          {
            StyleBox["MVRGBAlphaTexture",
              FontFamily->"Courier"], 
            \(RGB\ texture\ with\ \[Alpha] - channel\)}
          },
        GridFrame->True], TextForm]], "Text",
  Background->GrayLevel[0.900008],
  CellTags->"MVPutTexture"],

Cell[TextData[{
  " Possible options are:\n",
  Cell[BoxData[
      FormBox[GridBox[{
            {
              StyleBox["MVTextureSize",
                FontFamily->"Courier"], 
              StyleBox["Automatic",
                FontFamily->"Courier"], 
              RowBox[{
                RowBox[{
                \(The\ size\ in\ pixels\ of\ a\ Mathematica\), "\n", " ", 
                  "graphic", " ", "that", " ", "is", " ", "used", " ", "as", 
                  " ", \(texture . \ \nThis\), " ", "options", " ", "does", 
                  " ", "not", " ", "work", " ", "for", " ", "textures", "\n", 
                  " ", 
                  RowBox[{"from", " ", "files", " ", "or", 
                    StyleBox[" ",
                      FontFamily->"Courier"], 
                    RowBox[{
                      StyleBox[\(RasterArrays[]\),
                        FontFamily->"Courier"], ".", " ", "\n", "The"}], " ", 
                    "default", " ", "dimensions", " ", "are", "  ", 
                    \({64, 64} . \)}]}], "  "}]},
            {
              StyleBox["MVDisplayGamma",
                FontFamily->"Courier"], "1.", 
              \(\[Gamma]\ correction\ for\ PNG\ files\n\)},
            {
              StyleBox["MVClipBorderColor",
                FontFamily->"Courier"], 
              StyleBox["True",
                FontFamily->"Courier"], 
              \(WhenTrue\ the\ color\ of\ the\ \nborder/background\ of\ a\ 
                Mathematica\ \ngraphics\ is\ removed\ from\ the\ 
                \(texture . \)\)}
            },
          GridFrame->True], TextForm]], "Text"]
}], "Text",
  Background->GrayLevel[0.900008],
  CellTags->"MVPutTexture"],

Cell[TextData[{
  "The maximal possible texture size depends on the OpenGL implementation. \
The largest value that ",
  StyleBox["must",
    FontSlant->"Italic"],
  " be supported by OpenGL is 64\[Times]64, larger textures may work on  \
certain machines."
}], "Text",
  CellTags->"MVPutTexture"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVApplyTexture", "Subsection",
  CellTags->"MVApplyTexture"],

Cell[TextData[{
  "   \[FilledSmallSquare]     ",
  StyleBox["MVApplyTexture[MVScene[]",
    FontFamily->"Courier"],
  " , ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox[" ]",
    FontFamily->"Courier"],
  " maps a texture given in the options ",
  StyleBox["opts",
    FontSlant->"Italic"],
  " to the scene"
}], "ItemizedText",
  CellTags->"MVApplyTexture"],

Cell[TextData[{
  "   \[FilledSmallSquare]   ",
  StyleBox[" MVApplyTexture[MVMesh3D[",
    FontFamily->"Courier"],
  StyleBox["i",
    FontSlant->"Italic"],
  StyleBox["] ,",
    FontFamily->"Courier"],
  " ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox[" ]",
    FontFamily->"Courier"],
  " maps a texture given in the options ",
  StyleBox["opts",
    FontSlant->"Italic"],
  " to the mesh ",
  StyleBox["i",
    FontSlant->"Italic"]
}], "ItemizedText",
  CellTags->"MVApplyTexture"],

Cell[TextData[{
  "   \[FilledSmallSquare]     ",
  StyleBox["MVApplyTexture[",
    FontFamily->"Courier"],
  StyleBox["target",
    FontSlant->"Italic"],
  " ,",
  StyleBox[" MVTexture2D[",
    FontFamily->"Courier"],
  StyleBox["k",
    FontSlant->"Italic"],
  StyleBox["] ",
    FontFamily->"Courier"],
  StyleBox[",opts",
    FontSlant->"Italic"],
  " ] maps a texture ",
  StyleBox["MVTexture2D[",
    FontFamily->"Courier"],
  "k",
  StyleBox["]",
    FontFamily->"Courier"],
  " to the scene or a mesh"
}], "ItemizedText",
  CellTags->"MVApplyTexture"],

Cell[TextData[{
  "If the ",
  StyleBox["MVTexture",
    FontFamily->"Courier"],
  " option is given ",
  StyleBox[ButtonBox["MVPutTexture[]",
    ButtonData:>"MVPutTexture",
    ButtonStyle->"Hyperlink"],
    FontFamily->"Courier"],
  " is called."
}], "Text",
  CellTags->"MVApplyTexture"],

Cell[TextData[{
  " Possible options are:\n",
  Cell[BoxData[
      FormBox[GridBox[{
            {
              StyleBox["MVTexture",
                FontFamily->"Courier"], 
              StyleBox["None",
                FontFamily->"Courier"], 
              \(A\ possible\ texture\ \n
                  \((not\ already\ passed\ to\ MathGL3d)\)\ as\ \na\ PNG - 
                file\ name, \ \n
              a\ Mathematica\ graphics\ or\ \na\ \(RasterArray[] . \)\ \ \ 
              \)},
            {
              StyleBox["MVTextureMapType",
                FontFamily->"Courier"], 
              StyleBox["MVPlaneMapping",
                FontFamily->"Courier"], \(\(A\ possible\ mapping\ type, \)\ 
              \)},
            {
              StyleBox["MVTranslateTextureTarget",
                FontFamily->"Courier"], 
              StyleBox["True",
                FontFamily->"Courier"], 
              \(A\ translation\ vector\ {t\_x, t\_y, t\_z}\ \ \nof\ the\ 
                target\ to\ bring\ it\n\ into\ the\ box\ 
                \({{0, 0, _}, {1, 1, _}} . \)\)},
            {
              StyleBox["MVRotateTextureTarget",
                FontFamily->"Courier"], 
              StyleBox["Automatic",
                FontFamily->"Courier"], 
              \(A\ rotation\ {{a\_x, a\_y, a\_z}, \[Alpha]}\ to\ \nbring\ the
                \ target\ into\ the\ box\n\({{0, 0, _}, {1, 1, _}} . \)\)},
            {
              StyleBox["MVScaleTextureTarget",
                FontFamily->"Courier"], 
              StyleBox["Automatic",
                FontFamily->"Courier"], 
              \(A\ possible\ scaling\ {s\_x, s\_y, s\_z}\ to\n\ bring\ the\ 
                target\ into\ the\ box\n\({{0, 0, _}, {1, 1, _}} . \)\)},
            {
              StyleBox["MVScaleTexture",
                FontFamily->"Courier"], 
              StyleBox["Automatic",
                FontFamily->"Courier"], 
              \(A\ scaling\ {s\_u, s\_v}\ \nof\ the\ texture\ that\ gives\ the
                \ number\ of\ \nrepeated\ usage\ of\ the\ \(texture\  . \)\)}
            },
          GridFrame->True], TextForm]], "Text"]
}], "Text",
  Background->GrayLevel[0.900008],
  CellTags->"MVApplyTexture"],

Cell["Possible mapping types are:", "Text",
  CellTags->"MVApplyTexture"],

Cell[BoxData[
    FormBox[GridBox[{
          {
            StyleBox["MVPlaneMapping",
              FontFamily->"Courier"], \(The\ coordinates\ x, 
            y\ are\ used\ as\ \ntexture\ \(coordinates . \)\ \)},
          {
            StyleBox["MVCylinderMapping",
              FontFamily->"Courier"], \(The\ \[Phi], 
            z\ coordinates\ of\ the\ points\ in\ \ncylindrical\ coordinates\ 
              are\ used\)},
          {
            StyleBox["MVSphereMapping",
              FontFamily->"Courier"], \(The\ \[Phi], 
            \[Theta]\ coordinates\ in\ \ spherical\ coordinates\ \nare\ used\ 
              as\ texture\ coordinates\)},
          {
            StyleBox["MVTorusMapping",
              FontFamily->"Courier"], \(The\ \[Phi], 
            \[Theta]\ coordinates\ are\ used\ when\ the\ data\n
            points\ are\ transformed\ onto\ a\ torus\)},
          {
            StyleBox["MVMeshUVMapping",
              FontFamily->"Courier"], \(The\ u, v\ pair\ is\ \(used . \)\)},
          {
            StyleBox["MVMeshVUMapping",
              FontFamily->"Courier"], \(The\ v, \ u\ pair\ is\ \(used . \)\)}
          },
        GridFrame->True], TextForm]], "Text",
  Background->GrayLevel[0.900008],
  CellTags->"MVApplyTexture"],

Cell[TextData[{
  StyleBox["MVApplyTexture[]",
    FontFamily->"Courier"],
  "  is used to put an additional texture onto the surface of an object \
inside of MathGL3d. If a texture is given for a surface it will be used to \
color the surface instead of the  colors of the individual polygons."
}], "Text",
  CellTags->"MVApplyTexture"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVGetGraphics3D", "Subsection",
  CellTags->"MVGetGraphics3D"],

Cell[TextData[{
  StyleBox["MVGetGraphics3D[]",
    FontFamily->"Courier"],
  " returns the data displayed in the MathGL3d window to the kernel of \
Mathematica"
}], "ItemizedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->"MVGetGraphics3D"],

Cell[TextData[{
  "The pure ",
  StyleBox["Graphics3D[]",
    FontFamily->"Courier"],
  " object as a list of points, lines, polygons is returned. The ",
  StyleBox["MeshGraphics3D[]",
    FontFamily->"Courier"],
  " object is not returned, instead the mesh is broken into polygons. \
Polygons with more than three points are broken into triangles. The ",
  StyleBox["MVGetGraphics3D[]",
    FontFamily->"Courier"],
  " function is useful to get the 3d data from ",
  ButtonBox["DXF",
    ButtonData:>"MVLoadDXF",
    ButtonStyle->"Hyperlink"],
  " or ",
  ButtonBox["OFF",
    ButtonData:>"MVLoadOFF",
    ButtonStyle->"Hyperlink"],
  " files into ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "."
}], "Text",
  CellTags->"MVGetGraphics3D"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVGetRasterImage", "Subsection",
  CellTags->"MVGetRasterImage"],

Cell[TextData[{
  StyleBox["MVGetRasterImage[]",
    FontFamily->"Courier"],
  " returns the bitmap rendered by MathGL3d as a ",
  StyleBox["RasterArray[]",
    FontFamily->"Courier"]
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->"MVGetRasterImage"],

Cell[TextData[{
  "The function returns a ",
  StyleBox["RasterArray[]",
    FontFamily->"Courier"],
  " of ",
  StyleBox["RGBColor[]",
    FontFamily->"Courier"],
  " values. The ",
  StyleBox["RasterArray[]",
    FontFamily->"Courier"],
  " may be converted into an ordinary 2d graphics. If this is done the ",
  StyleBox["ImageSize",
    FontFamily->"Courier"],
  " and the ",
  StyleBox["AspectRatio",
    FontFamily->"Courier"],
  " option of the graphics object must be set to the correct values."
}], "Text",
  CellTags->"MVGetRasterImage"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVPasteGraphics", "Subsection",
  CellTags->"MVPasteGraphics"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVPasteGraphics[]",
    FontFamily->"Courier"],
  " is an abrevation for ",
  StyleBox[
  "Show[Graphics[MVGetRasterImage[],AspectRatio->Automatic]]", "Text",
    FontFamily->"Courier"]
}], "ItemizedText",
  CellTags->"MVPasteGraphics"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVClear", "Subsection",
  CellTags->"MVClear"],

Cell[TextData[{
  StyleBox["MVClear[]",
    FontFamily->"Courier"],
  " will remove the data from the MathGL3d window and reset all values to the \
default ones. See the MVNewScene option of ",
  ButtonBox["MVShow3D",
    ButtonData:>"MVShow3D",
    ButtonStyle->"Hyperlink"],
  "[]."
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->"MVClear"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVClose", "Subsection",
  CellTags->"MVClose"],

Cell[TextData[{
  StyleBox["MVClose[]",
    FontFamily->"Courier"],
  " will close the MathLink connection to MathGL3d and terminate the process. \
"
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->"MVClose"],

Cell[TextData[{
  "It does essentialy the same as an ",
  StyleBox["Uninstall[]",
    FontFamily->"Courier"],
  " of the link created when calling MathGL3d in MathLink mode. The function \
is simply for an easy termination of MathGL3d."
}], "Text",
  CellDingbat->None,
  CellTags->"MVClose"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Export and Import 3D Graphics  ", "Section",
  CellTags->"Export and Import Graphics"],

Cell[CellGroupData[{

Cell["MVLoad3Script", "Subsection",
  CellTags->"MVLoad3Script"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVLoad3Script",
    FontFamily->"Courier"],
  "[",
  StyleBox["filename",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  "  read a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " 3Script file into the MathGL3d program. To transfer the data to ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " the ",
  StyleBox[ButtonBox["MVGetGraphics3D",
    ButtonData:>"MVGetGraphics3D",
    ButtonStyle->"Hyperlink"],
    FontFamily->"Courier"],
  StyleBox["[]",
    FontFamily->"Courier"],
  " function must be used. To save graphics the function of the standard \
packages ",
  StyleBox["Graphics`ThreeScript`ThreeScript[]",
    FontFamily->"Courier"],
  " can be used."
}], "ItemizedText",
  CellTags->"MVLoad3Script"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVLoadDXF", "Subsection",
  CellTags->"MVLoadDXF"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVLoadDXF",
    FontFamily->"Courier"],
  "[",
  StyleBox["filename",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  "  read an AutoCAD DXF file into the MathGL3d program. To transfer the data \
to ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " the ",
  StyleBox[ButtonBox["MVGetGraphics3D",
    ButtonData:>"MVGetGraphics3D",
    ButtonStyle->"Hyperlink"],
    FontFamily->"Courier"],
  StyleBox["[]",
    FontFamily->"Courier"],
  " function must be used. "
}], "ItemizedText",
  CellTags->"MVLoadDXF"],

Cell["\<\
Only the geometric information about the points, lines and polygons is read. \
Layer and color information is lost.\
\>", "Text",
  CellTags->"MVLoadDXF"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVLoadOFF", "Subsection",
  CellTags->"MVLoadOFF"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVLoadOFF",
    FontFamily->"Courier"],
  "[",
  StyleBox["filename",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  "  read Geomviews OFF files into the MathGL3d program. To transfer the data \
to ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " the ",
  StyleBox[ButtonBox["MVGetGraphics3D",
    ButtonData:>"MVGetGraphics3D",
    ButtonStyle->"Hyperlink"],
    FontFamily->"Courier"],
  StyleBox["[]",
    FontFamily->"Courier"],
  " function must be used. "
}], "ItemizedText",
  CellTags->"MVLoadOFF"],

Cell["\<\
Only the geometry information is used, colors and normals are lost. The \
surface normals are typically calculated by MathGL3d itself.\
\>", "Text",
  CellTags->"MVLoadOFF"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVWriteOFF", "Subsection",
  CellTags->"MVWriteOFF"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVWriteOFF",
    FontFamily->"Courier"],
  "[",
  StyleBox["filename",
    FontSlant->"Italic"],
  ", ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  "  saves the scene as Geomview OFF file, ",
  StyleBox["MeshGraphics3D[]",
    FontFamily->"Courier"],
  " objects are not written. "
}], "ItemizedText",
  CellTags->"MVWriteOFF"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVWriteOFF[",
    FontFamily->"Courier"],
  StyleBox["filename",
    FontSlant->"Italic"],
  ",",
  StyleBox["graph3d,",
    FontSlant->"Italic"],
  " ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " clears the MathGL3d window, shows the 3d graphics object and saves  the \
scene as Geomview OFF file. "
}], "ItemizedText",
  CellTags->"MVWriteOFF"],

Cell["\<\
The colors and textures as well as the calculated normals are lost. \
\>", "Text",
  CellTags->"MVWriteOFF"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVWrite3DMF", "Subsection",
  CellTags->"MVWrite3DMF"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVWrite3DMF",
    FontFamily->"Courier"],
  "[",
  StyleBox["filename",
    FontSlant->"Italic"],
  ", ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  "  saves the 3d graphics as QuickDraw3D meta file. "
}], "ItemizedText",
  CellTags->"MVWrite3DMF"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVWrite3DMF[",
    FontFamily->"Courier"],
  StyleBox["filename",
    FontSlant->"Italic"],
  ",",
  StyleBox["graph3d,",
    FontSlant->"Italic"],
  " ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " clears the MathGL3d window, shows the 3d graphics object and saves  the \
3d graphics as QuickDraw3D meta file. "
}], "ItemizedText",
  CellTags->"MVWrite3DMF"],

Cell[TextData[{
  "Special options for the QuickDraw 3D export are:\n",
  Cell[BoxData[
      FormBox[GridBox[{
            {
              StyleBox[\(MVQuickDrawLights\ \ \ \ \ \ \),
                FontFamily->"Courier"], "True", \(\ 
              Save\ light\ positions\ and\ \ncolors\ in\ the\ QuickDraw\ file
                \)},
            {
              StyleBox[\(MVQuickDrawViewPoint\ \ \ \ \ \ \ \),
                FontFamily->"Courier"], "True", \(Save\ \ Mathematica' s\ \n
              view\ point\ in\ the\ file\)}
            },
          GridFrame->True], TextForm]], "Text"]
}], "Text",
  Background->GrayLevel[0.900008],
  CellTags->"MVWrite3DMF"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVWriteDXF", "Subsection",
  CellTags->"MVWriteDXF"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVWriteDXF[",
    FontFamily->"Courier"],
  StyleBox["filename",
    FontSlant->"Italic"],
  ",",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " will save the 3d graphics as AutoCAD DXF file. The options are the same \
as for ",
  ButtonBox["MVShow3D[]",
    ButtonData:>"MVShow3D",
    ButtonStyle->"Hyperlink"]
}], "ItemizedText",
  CellTags->"MVWriteDXF"],

Cell[TextData[{
  "   \[FilledSmallSquare] ",
  StyleBox[" MVWriteDXF[",
    FontFamily->"Courier"],
  StyleBox["filename",
    FontSlant->"Italic"],
  ",",
  StyleBox["graph3d,",
    FontSlant->"Italic"],
  " ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " clears the MathGL3d window, shows the 3d graphics object and saves  the \
3d graphics as AutoCAD DXF file. "
}], "ItemizedText",
  CellTags->"MVWriteDXF"],

Cell["\<\
Notice that the information about textures, surface normals and colors are \
lost because the DXF format can not include this information.\
\>", "Text",
  CellTags->"MVWriteDXF"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVWriteEPS", "Subsection",
  CellTags->"MVWriteEPS"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVWriteEPS[",
    FontFamily->"Courier"],
  StyleBox["filename,opt",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " will save the current image in the MathGL3d window as smooth shaded \
encapsulated PostScript file. The only option is ",
  StyleBox["EPSBitmap\[Rule]True ",
    FontFamily->"Courier"],
  "to save the bitmap image of the MathGL3d window or the default value ",
  StyleBox["EPSBitmap\[Rule]False",
    FontFamily->"Courier"],
  " to use the sorted polygons.  The dimensions of the bitmap are the same as \
the ",
  ButtonBox["window size",
    ButtonData:>"MVReshapeWindow",
    ButtonStyle->"Hyperlink"],
  "."
}], "ItemizedText",
  CellTags->"MVWriteEPS"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVWriteEPS[",
    FontFamily->"Courier"],
  StyleBox["filename, graphics3d, opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " clears the MathGL3d window, shows the 3d graphics object and saves the \
current image in the MathGL3d window as  encapsulated PostScript file."
}], "ItemizedText",
  CellTags->"MVWriteEPS"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVWritePOVRay", "Subsection",
  CellTags->"MVWritePOVRay"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVWritePOVRay[",
    FontFamily->"Courier"],
  StyleBox["filename",
    FontSlant->"Italic"],
  ",",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " saves the current image in the MathGL3d window as input file for the \
Persistence of Vision ray tracer ",
  ButtonBox["POVRay",
    ButtonData:>{
      URL[ "http://www.povray.org"], None},
    ButtonStyle->"Hyperlink"],
  ". "
}], "ItemizedText",
  CellTags->"MVWritePOVRay"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVWritePOVRay[",
    FontFamily->"Courier"],
  StyleBox["filename",
    FontSlant->"Italic"],
  ", ",
  StyleBox["graphics3d",
    FontSlant->"Italic"],
  " , ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " clears the MathGL3d window, shows the 3d graphics object and saves the \
current image in the MathGL3d window as script for the ray tracer. "
}], "ItemizedText",
  CellTags->"MVWritePOVRay"],

Cell[TextData[{
  " The possible option is:\n",
  Cell[BoxData[
      FormBox[GridBox[{
            {
              StyleBox[\(MVTextureFilePrefix\ \ \ \ \ \ \),
                FontFamily->"Courier"], "mv", \(\ \ \ \ \ \ 
              first\ characters\ in\ the\ names\n
              \t\ of\ the\ texture\ bitmap\ files\)}
            },
          GridFrame->True], TextForm]], "Text"]
}], "Text",
  Background->GrayLevel[0.900008],
  CellTags->"MVWritePOVRay"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVWritePNG", "Subsection",
  CellTags->"MVWritePNG"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVWritePNG[",
    FontFamily->"Courier"],
  StyleBox["filename",
    FontSlant->"Italic"],
  ",",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " saves the current image in the MathGL3d window as portable network \
graphics. The dimensions of the bitmap are the same as the ",
  ButtonBox["window size",
    ButtonData:>"MVReshapeWindow",
    ButtonStyle->"Hyperlink"],
  "."
}], "ItemizedText",
  CellTags->"MVWritePNG"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVWritePNG[",
    FontFamily->"Courier"],
  StyleBox["filename",
    FontSlant->"Italic"],
  ", ",
  StyleBox["graphics3d",
    FontSlant->"Italic"],
  " , ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " clears the MathGL3d window, shows the 3d graphics object and saves the \
current image in the MathGL3d window as PNG file. The dimensions of the \
bitmap are the same as the ",
  ButtonBox["window size",
    ButtonData:>"MVReshapeWindow",
    ButtonStyle->"Hyperlink"],
  "."
}], "ItemizedText",
  CellTags->"MVWritePNG"],

Cell[TextData[{
  " Possible options are:\n",
  Cell[BoxData[
      FormBox[GridBox[{
            {
              StyleBox[\(MVInterlacePNG\ \ \ \ \ \ \),
                FontFamily->"Courier"], "False", 
              \(\ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ 
              Save\ a\ interlanced\ PNG\ image\)},
            {
              StyleBox[\(MVDisplayGamma\ \ \ \ \ \ \ \),
                FontFamily->"Courier"], "1.", \(\ \ \ \ \ \ \ \ \ \ \ \ \ \ 
              \[Gamma]\  - correction\ for\ PNG\ files\)}
            },
          GridFrame->True], TextForm]], "Text"]
}], "Text",
  Background->GrayLevel[0.900008],
  CellTags->"MVWritePNG"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVWriteVRML", "Subsection",
  CellTags->"MVWriteVRML"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVWriteVRML",
    FontFamily->"Courier"],
  "[",
  StyleBox["filename",
    FontSlant->"Italic"],
  ", ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  "  saves the 3d graphics as VRML 2.0 file. "
}], "ItemizedText",
  CellTags->"MVWriteVRML"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVWriteVRML[",
    FontFamily->"Courier"],
  StyleBox["filename",
    FontSlant->"Italic"],
  ",",
  StyleBox["graph3d",
    FontSlant->"Italic"],
  " ",
  StyleBox["opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " clears the MathGL3d window, shows the 3d graphics object and saves the 3d \
graphics as VRML 2.0 file. "
}], "ItemizedText",
  CellTags->"MVWriteVRML"],

Cell[TextData[{
  "Special options for the VRML export are:\n",
  Cell[BoxData[
      FormBox[GridBox[{
            {
              StyleBox[\(VRMLHeadLight\ \ \ \ \ \ \),
                FontFamily->"Courier"], "False", 
              \(\ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ 
              Add\ the\ head\ \ light\ to\ the\ scene\ \n\tin\ addition\ to\ 
                the\ lights\ used\ by\ Mathematica\)},
            {
              StyleBox[\(VRMLExtrusion\ \ \ \ \ \ \ \),
                FontFamily->"Courier"], "True", \(\ \ \ \ \ \ \ \ \ \ \ \ \ \ 
              use\ the\ extrusion\ primitive\ for\ thick\ lines, \ \n\t
              otherwise\ expand\ the\ thick\ lines\ to\ polygons\)},
            {
              StyleBox["MVTextureFilePrefix",
                FontFamily->"Courier"], "\<\"mv\"\>", 
              \(first\ characters\ in\ the\ names\ of\ the\ texture\ bitmap\ 
                files\)}
            },
          GridFrame->True], TextForm]], "Text"]
}], "Text",
  Background->GrayLevel[0.900008],
  CellTags->"MVWriteVRML"],

Cell["\<\
The VRML 2.0 export supports all features of MathGL3d including textures and \
all possible texture mappings.\
\>", "Text",
  CellTags->"MVWriteVRML"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Window Functions", "Section",
  CellTags->"Window Functions"],

Cell[CellGroupData[{

Cell["MVReshapeWindow", "Subsection",
  CellTags->"MVReshapeWindow"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVReshapeWindow[",
    FontFamily->"Courier"],
  StyleBox["width",
    FontSlant->"Italic"],
  ", ",
  StyleBox["height",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " sets the new width and height of the MathGL3d window. It returns the list \
of the old width and height."
}], "ItemizedText",
  CellTags->"MVReshapeWindow"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVShowWindow", "Subsection",
  CellTags->"MVShowWindow"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVShowWindow[] ",
    FontFamily->"Courier"],
  StyleBox["reopens a hidden or iconized MathGL3d window.",
    FontFamily->"Times"]
}], "ItemizedText",
  CellTags->"MVShowWindow"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVHideWindow", "Subsection",
  CellTags->"MVHideWindow"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVHideWindow[]",
    FontFamily->"Courier"],
  " hides the MathGL3d window."
}], "ItemizedText",
  CellTags->"MVHideWindow"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVIconifyWindow", "Subsection",
  CellTags->"MVIconifyWindow"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVIconifyWindow[]",
    FontFamily->"Courier"],
  " iconifys the MathGL3d window."
}], "ItemizedText",
  CellTags->"MVIconifyWindow"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVPushWindow", "Subsection",
  CellTags->"MVPushWindow"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVPushWindow[]",
    FontFamily->"Courier"],
  " pushs down the MathGL3d window.  This function has no effect on \
MS-Windows systems."
}], "ItemizedText",
  CellTags->"MVPushWindow"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVPopWindow", "Subsection",
  CellTags->"MVPopWindow"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVPopWindow[]",
    FontFamily->"Courier"],
  " pops up the MathGL3d window. This function has no effect on MS-Windows \
systems."
}], "ItemizedText",
  CellTags->"MVPopWindow"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVSpin", "Subsection",
  CellTags->"MVSpin"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVSpin[",
    FontFamily->"Courier"],
  StyleBox["angle",
    FontSlant->"Italic"],
  ", ",
  StyleBox["axis",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " animates the object in the MathGL3d window. The object will rotate about \
the axis in steps of  the angle ",
  StyleBox["angle",
    FontSlant->"Italic"],
  " per animation frame."
}], "ItemizedText",
  CellTags->"MVSpin"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVStopSpin", "Subsection",
  CellTags->"MVStopSpin"],

Cell[TextData[{
  "   \[FilledSmallSquare]  ",
  StyleBox["MVStopSpin[]",
    FontFamily->"Courier"],
  " stops an animation started by ",
  StyleBox["MVSpin[]",
    FontFamily->"Courier"],
  " or by MathGL3d menu commands."
}], "ItemizedText",
  CellTags->"MVStopSpin"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Utilites", "Section",
  CellTags->"Utilities"],

Cell[CellGroupData[{

Cell["MVCreatePalette", "Subsection",
  CellTags->{"MVCreatePalette", "Utilities"}],

Cell[TextData[{
  StyleBox["MVCreatePalette[]",
    FontFamily->"Courier"],
  " will create a new palette in the current notebook"
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->{"MVCreatePalette", "Utilities"}],

Cell["\<\
The MathGL3d distribution comes with additional palettes for the export of \
graphics, texture options and window functions.\
\>", "Text",
  CellTags->{"MVCreatePalette", "Utilities"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVPolygonReduce", "Subsection",
  CellTags->{"MVPolygonReduce", "Utilities"}],

Cell[TextData[{
  StyleBox["MVPolygonReduce[",
    FontFamily->"Courier"],
  " ",
  StyleBox["tolerance",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " try to lower the polygon number in the MathGL3d window"
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->{"MVPolygonReduce", "Utilities"}],

Cell[TextData[{
  StyleBox["MVPolygonReduce[",
    FontFamily->"Courier"],
  StyleBox["graph3d",
    FontSlant->"Italic"],
  StyleBox[",",
    FontFamily->"Courier"],
  " ",
  StyleBox["tolerance",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " transfer the ",
  StyleBox["Graphics3D",
    FontFamily->"Courier"],
  " object to MathGL3d and trys to lower the polygon number . "
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->{"MVPolygonReduce", "Utilities"}],

Cell[TextData[{
  StyleBox["MVPolygonReduce[",
    FontFamily->"Courier"],
  StyleBox["surf3d",
    FontSlant->"Italic"],
  StyleBox[",",
    FontFamily->"Courier"],
  " ",
  StyleBox["tolerance",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " will convert the ",
  StyleBox["SurfaceGraphics",
    FontFamily->"Courier"],
  " or ",
  StyleBox["MeshGraphics3D",
    FontFamily->"Courier"],
  " to a Graphics3D object, send it  to MathGL3D and trys to lower the \
polygon number . "
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->{"MVPolygonReduce", "Utilities"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVRotate3D", "Subsection",
  CellTags->{"MVRotate3D", "Utilities"}],

Cell[TextData[{
  StyleBox["MVRotate3D[",
    FontFamily->"Courier"],
  " ",
  StyleBox["axis",
    FontSlant->"Italic"],
  ",",
  StyleBox[" angle, opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " will rotate the object in the MathGL3d window about the axis by the angle \
",
  StyleBox["angle",
    FontSlant->"Italic"]
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->{"MVRotate3D", "Utilities"}],

Cell[TextData[{
  StyleBox["MVRotate3D[",
    FontFamily->"Courier"],
  StyleBox["graphics3d",
    FontSlant->"Italic"],
  ", ",
  StyleBox["axis",
    FontSlant->"Italic"],
  ",",
  StyleBox[" angle, opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " will rotate the ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " object about the axis by the angle ",
  StyleBox["angle",
    FontSlant->"Italic"]
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->{"MVRotate3D", "Utilities"}],

Cell[TextData[{
  StyleBox["MVRotate3D[",
    FontFamily->"Courier"],
  StyleBox["meshgraphics3d",
    FontSlant->"Italic"],
  ", ",
  StyleBox["axis",
    FontSlant->"Italic"],
  ",",
  StyleBox[" angle, opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " will rotate the ",
  StyleBox["MeshGraphics3D",
    FontFamily->"Courier"],
  " object about the axis by the angle ",
  StyleBox["angle",
    FontSlant->"Italic"]
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->{"MVRotate3D", "Utilities"}],

Cell["Options for MVRotate3D[] are:", "Text"],

Cell[BoxData[GridBox[{
        {"RotationCenter", 
          RowBox[{"{", 
            RowBox[{
              StyleBox["x",
                FontSlant->"Italic"], ",", 
              StyleBox["y",
                FontSlant->"Italic"], ",", 
              StyleBox["z",
                FontSlant->"Italic"]}], "}"}], \({0, 0, 0}\), 
          \(center\ of\ rotation\)},
        {"MVObject", 
          RowBox[{"{", 
            RowBox[{
            "All", ",", "\[IndentingNewLine]", \(MVScene3D[]\), ",", 
              "\[IndentingNewLine]", 
              RowBox[{"MVMesh3D", "[", 
                StyleBox["i",
                  FontSlant->"Italic"], "]"}]}], "}"}], "All", 
          \(the\ object\ the\ will\ \[IndentingNewLine]
          be\ transformed, \ \[IndentingNewLine]All\ \[IndentingNewLine]
          \ \ means\ polygons, \ \[IndentingNewLine]\ 
          lines\ and\ meshes\[IndentingNewLine]
          MVScene[]\ transform\ only\ \[IndentingNewLine]
          \ \ polygons, \ lines\ and\[IndentingNewLine]
          \ \ points\[IndentingNewLine]
          MVMesh3D[i]\ transform\ \[IndentingNewLine]
          \ \ \ only\ \ a\ mesh\ object\)}
        },
      GridFrame->True]], "Text",
  Background->GrayLevel[0.900008]],

Cell[TextData[{
  "The ",
  StyleBox["MVObject",
    FontFamily->"Courier"],
  " option works only for data in the MathGL3d window."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVTranslate3D", "Subsection",
  CellTags->{"MVTranslate3D", "Utilities"}],

Cell[TextData[{
  StyleBox["MVTranslate3D[",
    FontFamily->"Courier"],
  " ",
  StyleBox["translationvector, opts",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " will translate the object in the MathGL3d window"
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->{"MVTranslate3D", "Utilities"}],

Cell[TextData[{
  StyleBox["MVTranslate3D[",
    FontFamily->"Courier"],
  StyleBox["graphics3d",
    FontSlant->"Italic"],
  ", ",
  StyleBox["translationvector",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " will translate the ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " object by the ",
  StyleBox["translationvector",
    FontSlant->"Italic"]
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->{"MVTranslate3D", "Utilities"}],

Cell[TextData[{
  StyleBox["MVTranslate3D[",
    FontFamily->"Courier"],
  StyleBox["meshgraphics3d",
    FontSlant->"Italic"],
  ", ",
  StyleBox["translationvector",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " will translate the ",
  StyleBox["MeshGraphics3D",
    FontFamily->"Courier"],
  " object by ",
  StyleBox["translationvector",
    FontSlant->"Italic"]
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->{"MVTranslate3D", "Utilities"}],

Cell["\<\
If the translation is applied to data in the MathGL3d window a \
target for the operation may be given as an option.\
\>", "Text"],

Cell[BoxData[GridBox[{
        {"MVObject", 
          RowBox[{"{", 
            RowBox[{
            "All", ",", "\[IndentingNewLine]", \(MVScene3D[]\), ",", 
              "\[IndentingNewLine]", 
              RowBox[{"MVMesh3D", "[", 
                StyleBox["i",
                  FontSlant->"Italic"], "]"}]}], "}"}], "All", 
          RowBox[{
          \(the\ object\ the\ will\), " ", "\[IndentingNewLine]", 
            \(be\ transformed, \ \[IndentingNewLine]All\), " ", 
            "\[IndentingNewLine]", "  ", 
            \(means\ polygons, \ \[IndentingNewLine]\ lines\ and\ meshes\), 
            "\[IndentingNewLine]", \(MVScene[]\ transform\ only\), " ", 
            "\[IndentingNewLine]", "  ", \(polygons, \ lines\ and\), 
            "\[IndentingNewLine]", "  ", "points", "\[IndentingNewLine]", 
            RowBox[{
              RowBox[{"MVMesh3D", "[", 
                StyleBox["i",
                  FontSlant->"Italic"], "]"}], " ", "transform"}], " ", 
            "\[IndentingNewLine]", "   ", \(only\ \ a\ mesh\ object\)}]}
        },
      GridFrame->True]], "Text",
  Background->GrayLevel[0.900008]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVGetLightSources", "Subsection",
  CellTags->{"MVGetLightSources", "Utilities"}],

Cell[TextData[{
  StyleBox["MVGetLightSources[]",
    FontFamily->"Courier"],
  " returns the light sources used by MathGL3d as list ",
  Cell[BoxData[
      \(TraditionalForm
      \`\({{x\_p, y\_p, z\_p}, \ RGBColor[r, g, b]} .. }\)\)]],
  ". The result can be used in the ",
  StyleBox["LightSources",
    FontFamily->"Courier"],
  " option of Mathematica"
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->{"MVGetLightSources", "Utilities"}],

Cell[TextData[{
  StyleBox["MVGetLightSources[",
    FontFamily->"Courier"],
  StyleBox["graph3d",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier"],
  " returns the light sources used by MathGL3d as list ",
  Cell[BoxData[
      \(TraditionalForm
      \`\({{x\_p, y\_p, z\_p}, \ RGBColor[r, g, b]} .. }\)\)]],
  " with respect to the options of the 3D graphics ",
  StyleBox["graph3d",
    FontSlant->"Italic"],
  " . The result can be used in the ",
  StyleBox["LightSources",
    FontFamily->"Courier"],
  " option of Mathematica"
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->{"MVGetLightSources", "Utilities"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVGetPlotRange", "Subsection",
  CellTags->{"MVGetPlotRange", "Utilities"}],

Cell[TextData[{
  StyleBox["MVGetPlotRange[",
    FontFamily->"Courier"],
  StyleBox["]",
    FontFamily->"Courier"],
  " returns the bounding box used by MathGL3d"
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->{"MVGetPlotRange", "Utilities"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["MVGetViewPoint", "Subsection",
  CellTags->{"MVGetViewPoint", "Utilities"}],

Cell[TextData[{
  StyleBox["MVGetViewPoint[",
    FontFamily->"Courier"],
  StyleBox["]",
    FontFamily->"Courier"],
  " returns the view point used by MathGL3d"
}], "IndentedText",
  CellDingbat->"\[FilledSquare]",
  CellTags->{"MVGetViewPoint", "Utilities"}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Modification of Standard Functions and Packages", "Section",
  CellTags->"Modifications"],

Cell[TextData[{
  "1",
  StyleBox[".",
    FontWeight->"Bold"],
  "  The Graphics`ThreeScript` package definitions are changed to support the \
surface color, the 3Script output of SurfaceGraphics objects is changed to \
keep the correct ",
  Cell[BoxData[
      \(TraditionalForm\`xy\)], "DisplayMath"],
  "-range."
}], "ItemizedText",
  CellTags->"Modifications"],

Cell[TextData[{
  "2. The ",
  StyleBox["ParametricPlot3D[]",
    FontFamily->"Courier"],
  " function is changed to produce ",
  StyleBox["MeshGraphics3D",
    FontFamily->"Courier"],
  " objects instead of ",
  StyleBox["Graphics3D",
    FontFamily->"Courier"],
  "."
}], "ItemizedText",
  CellTags->"Modifications"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Copyright", "Section",
  CellTags->"Copyright"],

Cell[TextData[{
  "The files in the MathGL3d distribution may be freely copied and \
distributed, provided that no changes whatsoever are made. All users are \
asked to help keep the MathView3D.w and savepng.w file consistent and \
\"uncorrupted',' identical everywhere in the world.  (The CWEB system has a \
``change file'' facility by which users can easily make minor alterations \
without modifying the master source files in any way. Everybody is supposed \
to use change files instead of changing the files.)\nThe author has tried his \
best to produce a correct and useful program, in order to help promote \
computer science research and ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  but no warranty of any kind should be assumed."
}], "Text",
  CellTags->"Copyright"]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for Macintosh",
ScreenRectangle->{{0, 1024}, {0, 748}},
ScreenStyleEnvironment->"AllBrackets",
WindowSize->{813, 674},
WindowMargins->{{18, Automatic}, {Automatic, 4}},
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell["Style Definitions", "Subtitle"],
  
  Cell["\<\
Modify the definitions below to change the default appearance of \
all cells in a given style.  Make modifications to any definition using \
commands in the Format menu.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    ShowCellBracket->False,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "AllBrackets"],
    PageWidth->WindowWidth,
    ShowCellBracket->True,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    ShowCellBracket->False,
    ScriptMinSize->5,
    FontSize->10,
    PrivateFontOptions->{"FontType"->"Outline"}],
  
  Cell[StyleData[All, "EnhancedPrintout"],
    PageWidth->PaperWidth,
    ShowCellBracket->False,
    ScriptMinSize->5,
    FontFamily->"Palatino",
    FontSize->10,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the \
Notebook level.\
\>", "Text"],
  
  Cell[StyleData["Notebook"],
    PrintingStyleEnvironment->"Printout",
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    PrintingOptions->{"PrintingMargins"->{{97, 97}, {180, 64}},
    "FirstPageHeader"->False,
    "FacingPages"->True},
    CellLabelAutoDelete->False,
    CellFrameLabelMargins->6,
    StyleMenuListing->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Title"],
    CellMargins->{{12, Inherited}, {20, 40}},
    CellGroupingRules->{"TitleGrouping", 0},
    PageBreakAbove->True,
    PageBreakBelow->False,
    CounterIncrements->"Title",
    CounterAssignments->{
      {"Section", 0}, {"Equation", 0}, {"Figure", 0}, {"Subtitle", 0}, {
        "Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->36,
    FontWeight->"Bold"],
  
  Cell[StyleData["Title", "Printout"],
    CellMargins->{{2, 10}, {15, 30}},
    FontSize->30],
  
  Cell[StyleData["Title", "EnhancedPrintout"],
    CellMargins->{{2, 10}, {15, 30}},
    FontFamily->"Futura",
    FontSize->30]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{12, Inherited}, {10, 2}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    CounterIncrements->"Subtitle",
    CounterAssignments->{
      {"Section", 0}, {"Equation", 0}, {"Figure", 0}, {"Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->28],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {10, 15}},
    FontSize->24],
  
  Cell[StyleData["Subtitle", "EnhancedPrintout"],
    CellMargins->{{2, 10}, {10, 15}},
    FontFamily->"Futura",
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{12, Inherited}, {10, 20}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontSlant->"Italic"],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {8, 10}},
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "EnhancedPrintout"],
    CellMargins->{{2, 10}, {8, 10}},
    FontFamily->"Futura",
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellFrame->{{0, 0}, {0.5, 0}},
    CellMargins->{{10, Inherited}, {8, 30}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    CellFrameMargins->8,
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->20,
    FontWeight->"Bold"],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{2, 0}, {7, 24}},
    FontSize->16],
  
  Cell[StyleData["Section", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {7, 24}},
    FontFamily->"Futura",
    FontSize->16]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{24, Inherited}, {8, 30}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    CounterIncrements->"Subsection",
    CounterAssignments->{{"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{9, 0}, {7, 24}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "EnhancedPrintout"],
    CellMargins->{{9, 0}, {7, 24}},
    FontFamily->"Futura",
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellMargins->{{12, Inherited}, {8, 24}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontFamily->"Helvetica",
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{2, 0}, {7, 18}},
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {7, 18}},
    FontFamily->"Futura",
    FontSize->10]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{12, 10}, {7, 7}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0.7, 0},
    CounterIncrements->"Text"],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}},
    TextJustification->0,
    FontSize->11],
  
  Cell[StyleData["Text", "EnhancedPrintout"],
    CellMargins->{{2, 2}, {6, 6}},
    TextJustification->1,
    FontFamily->"Palatino",
    FontSize->10]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SmallText"],
    CellMargins->{{12, 10}, {6, 6}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0.7, 0},
    CounterIncrements->"SmallText",
    FontSize->9],
  
  Cell[StyleData["SmallText", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    TextJustification->1,
    FontSize->7],
  
  Cell[StyleData["SmallText", "EnhancedPrintout"],
    CellMargins->{{2, 2}, {5, 5}},
    TextJustification->1,
    FontFamily->"Palatino",
    FontSize->7]
  }, Open  ]]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    ShowCellBracket->True,
    CellMargins->{{45, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    FontWeight->"Bold"],
  
  Cell[StyleData["Input", "Printout"],
    ShowCellBracket->False,
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9],
  
  Cell[StyleData["Input", "EnhancedPrintout"],
    ShowCellBracket->False,
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    ShowCellBracket->True,
    CellMargins->{{46, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Output"],
  
  Cell[StyleData["Output", "Printout"],
    ShowCellBracket->False,
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9],
  
  Cell[StyleData["Output", "EnhancedPrintout"],
    ShowCellBracket->False,
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    ShowCellBracket->True,
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontSlant->"Italic",
    FontColor->RGBColor[1, 0, 0]],
  
  Cell[StyleData["Message", "Printout"],
    ShowCellBracket->False,
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->9,
    FontColor->GrayLevel[0]],
  
  Cell[StyleData["Message", "EnhancedPrintout"],
    ShowCellBracket->False,
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontFamily->"Courier",
    FontSize->9,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    ShowCellBracket->True,
    CellMargins->{{75, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None],
  
  Cell[StyleData["Print", "Printout"],
    ShowCellBracket->False,
    CellMargins->{{57, Inherited}, {Inherited, Inherited}},
    FontSize->9],
  
  Cell[StyleData["Print", "EnhancedPrintout"],
    ShowCellBracket->False,
    CellMargins->{{57, Inherited}, {Inherited, Inherited}},
    FontFamily->"Courier",
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    ShowCellBracket->True,
    CellMargins->{{47, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    StyleMenuListing->None],
  
  Cell[StyleData["Graphics", "Printout"],
    ShowCellBracket->False,
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    ImageSize->{250, 250},
    FontSize->9],
  
  Cell[StyleData["Graphics", "EnhancedPrintout"],
    ShowCellBracket->False,
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    ImageSize->{250, 250},
    FontFamily->"Courier",
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]],
  
  Cell[StyleData["CellLabel", "EnhancedPrintout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Inline Formatting", "Section"],
  
  Cell["\<\
These styles are for modifying individual words or letters in a \
cell exclusive of the cell tag.\
\>", "Text"],
  
  Cell[StyleData["RM"],
    StyleMenuListing->None,
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["BF"],
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[StyleData["IT"],
    StyleMenuListing->None,
    FontSlant->"Italic"],
  
  Cell[StyleData["TR"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["TI"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["TB"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Bold",
    FontSlant->"Plain"],
  
  Cell[StyleData["TBI"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  
  Cell[StyleData["MR"],
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["MO"],
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["MB"],
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Bold",
    FontSlant->"Plain"],
  
  Cell[StyleData["MBO"],
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  
  Cell[StyleData["SR"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["SO"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["SB"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Bold",
    FontSlant->"Plain"],
  
  Cell[StyleData["SBO"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SO10"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->10,
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["SO10", "Printout"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->7,
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["SO10", "EnhancedPrintout"],
    StyleMenuListing->None,
    FontFamily->"Futura",
    FontSize->7,
    FontWeight->"Plain",
    FontSlant->"Italic"]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Miscellaneous Styles", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MathCaption"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{46, 42}, {0, 14}},
    PageBreakBelow->False,
    LineSpacing->{1, 1},
    ParagraphSpacing->{0, 8},
    FontColor->RGBColor[0, 0, 0.6]],
  
  Cell[StyleData["MathCaption", "Printout"],
    CellMargins->{{42, 42}, {0, 14}},
    FontSize->10,
    FontColor->GrayLevel[0]],
  
  Cell[StyleData["MathCaption", "EnhancedPrintout"],
    CellMargins->{{42, 42}, {0, 14}},
    FontFamily->"Palatino",
    FontSize->10,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Commentary"],
    CellFrame->{{2, 0}, {0, 0}},
    CellMargins->{{36, 10}, {7, 7}},
    PageBreakBelow->False,
    CellFrameMargins->8,
    CellFrameColor->RGBColor[0, 0.2, 1],
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 8},
    FontSlant->"Italic"],
  
  Cell[StyleData["Commentary", "Printout"],
    CellMargins->{{36, 0}, {6, 6}},
    CellFrameColor->GrayLevel[0.8],
    FontSize->10],
  
  Cell[StyleData["Commentary", "EnhancedPrintout"],
    CellMargins->{{36, 0}, {6, 6}},
    CellFrameColor->GrayLevel[0.8],
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ItemizedText"],
    CellMargins->{{20, 4}, {0, 4}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 4},
    ParagraphIndent->-21,
    CounterIncrements->"Text"],
  
  Cell[StyleData["ItemizedText", "Printout"],
    ParagraphIndent->-18,
    FontSize->10],
  
  Cell[StyleData["ItemizedText", "EnhancedPrintout"],
    ParagraphIndent->-18,
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ItemizedTextNote"],
    CellMargins->{{41, 4}, {0, 4}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 4},
    CounterIncrements->"Text"],
  
  Cell[StyleData["ItemizedTextNote", "Printout"],
    CellMargins->{{38, 4}, {0, 4}},
    FontSize->10],
  
  Cell[StyleData["ItemizedTextNote", "EnhancedPrintout"],
    CellMargins->{{38, 4}, {0, 4}},
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["IndentedText"],
    CellMargins->{{20, 4}, {0, 6}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 8},
    CounterIncrements->"Text"],
  
  Cell[StyleData["IndentedText", "Printout"],
    FontSize->10],
  
  Cell[StyleData["IndentedText", "EnhancedPrintout"],
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Emphasis Boxes and Pictures", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DefinitionBox"],
    CellFrame->0.5,
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.3, 0.7},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["DefinitionBox", "Printout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[1]],
  
  Cell[StyleData["DefinitionBox", "EnhancedPrintout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DefinitionBox3Col"],
    CellFrame->0.5,
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.2, 0.3, 0.5},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["DefinitionBox3Col", "Printout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[1]],
  
  Cell[StyleData["DefinitionBox3Col", "EnhancedPrintout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DefinitionBox4Col"],
    CellFrame->0.5,
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.15, 0.35, 0.15, 0.35},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["DefinitionBox4Col", "Printout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[1]],
  
  Cell[StyleData["DefinitionBox4Col", "EnhancedPrintout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DefinitionBox5Col"],
    CellFrame->0.5,
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->0.2,
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["DefinitionBox5Col", "Printout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[1]],
  
  Cell[StyleData["DefinitionBox5Col", "EnhancedPrintout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DefinitionBox6Col"],
    CellFrame->0.5,
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.13, 0.24, 0.13, 0.13, 0.24, 0.13},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["DefinitionBox6Col", "Printout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[1]],
  
  Cell[StyleData["DefinitionBox6Col", "EnhancedPrintout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TopBox"],
    CellFrame->{{0.5, 0.5}, {0, 0.5}},
    CellMargins->{{11, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakBelow->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.31, 0.62},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["TopBox", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    Background->GrayLevel[1]],
  
  Cell[StyleData["TopBox", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontFamily->"Palatino",
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MiddleBox"],
    CellFrame->{{0.5, 0.5}, {0, 0}},
    CellMargins->{{11, 4}, {0, -7}},
    CellHorizontalScrolling->True,
    PageBreakAbove->False,
    PageBreakBelow->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.31, 0.62},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["MiddleBox", "Printout"],
    CellMargins->{{2, 0}, {0, 2}},
    Background->GrayLevel[1]],
  
  Cell[StyleData["MiddleBox", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 4}},
    FontFamily->"Palatino",
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MiddleSpacedBox"],
    CellFrame->{{0.5, 0.5}, {0, 0}},
    CellMargins->{{11, 4}, {0, -7}},
    CellHorizontalScrolling->True,
    PageBreakAbove->False,
    PageBreakBelow->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.31, 0.62},
    ColumnAlignments->{Left},
    RowMinHeight->1.2}],
  
  Cell[StyleData["MiddleSpacedBox", "Printout"],
    CellMargins->{{2, 0}, {0, 0}},
    Background->GrayLevel[1],
    GridBoxOptions->{RowMinHeight->1.8}],
  
  Cell[StyleData["MiddleSpacedBox", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 0}},
    FontFamily->"Palatino",
    Background->GrayLevel[1],
    GridBoxOptions->{RowMinHeight->1.8}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["BottomBox"],
    CellFrame->{{0.5, 0.5}, {0.5, 0}},
    CellMargins->{{11, 4}, {0, -7}},
    CellHorizontalScrolling->True,
    PageBreakAbove->False,
    PageBreakBelow->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.31, 0.62},
    ColumnAlignments->{Left},
    RowMinHeight->1.2}],
  
  Cell[StyleData["BottomBox", "Printout"],
    CellMargins->{{2, 0}, {0, -5}},
    FontSize->10,
    Background->GrayLevel[1],
    GridBoxOptions->{RowMinHeight->2.2}],
  
  Cell[StyleData["BottomBox", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, -5}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1],
    GridBoxOptions->{RowMinHeight->2.2}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TopSpanBox"],
    CellFrame->{{0.5, 0.5}, {0, 0.5}},
    CellMargins->{{11, 4}, {-2, 8}},
    CellHorizontalScrolling->True,
    PageBreakBelow->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.9, 0.03},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["TopSpanBox", "Printout"],
    CellMargins->{{2, 0}, {-2, 8}},
    FontSize->10,
    Background->GrayLevel[1]],
  
  Cell[StyleData["TopSpanBox", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {-4, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MiddleSpanBox"],
    CellFrame->{{0.5, 0.5}, {0, 0}},
    CellMargins->{{11, 4}, {-3, -8}},
    CellHorizontalScrolling->True,
    PageBreakAbove->False,
    PageBreakBelow->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.9, 0.03},
    ColumnAlignments->{Left},
    RowMinHeight->1.2}],
  
  Cell[StyleData["MiddleSpanBox", "Printout"],
    CellMargins->{{2, 0}, {-5, 0}},
    FontSize->10,
    Background->GrayLevel[1],
    GridBoxOptions->{RowMinHeight->1.8}],
  
  Cell[StyleData["MiddleSpanBox", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {-7, 0}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1],
    GridBoxOptions->{RowMinHeight->1.8}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Picture"],
    CellMargins->{{12, Inherited}, {0, 8}},
    CellHorizontalScrolling->True],
  
  Cell[StyleData["Picture", "Printout"],
    CellMargins->{{2, Inherited}, {0, 8}}],
  
  Cell[StyleData["Picture", "EnhancedPrintout"],
    CellMargins->{{2, Inherited}, {0, 8}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Caption"],
    CellMargins->{{12, 4}, {0, 2}},
    PageBreakAbove->False,
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["Caption", "Printout"],
    CellMargins->{{2, 4}, {2, 4}},
    FontSize->7],
  
  Cell[StyleData["Caption", "EnhancedPrintout"],
    CellMargins->{{2, 4}, {2, 4}},
    FontFamily->"Futura",
    FontSize->7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Tables", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SingleRowTable"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["SingleRowTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}}],
  
  Cell[StyleData["SingleRowTable", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["2ColumnTable"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnWidths->{0.34, 0.64},
    ColumnAlignments->{Left, Center}}],
  
  Cell[StyleData["2ColumnTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}}],
  
  Cell[StyleData["2ColumnTable", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["2ColumnEvenTable"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnWidths->0.49,
    ColumnAlignments->{Left, Center}}],
  
  Cell[StyleData["2ColumnEvenTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}}],
  
  Cell[StyleData["2ColumnEvenTable", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["3ColumnTable"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnWidths->{0.28, 0.28, 0.43},
    ColumnAlignments->{Left, Center}}],
  
  Cell[StyleData["3ColumnTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}}],
  
  Cell[StyleData["3ColumnTable", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["4ColumnTable"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnWidths->0.25,
    ColumnAlignments->{Left, Center}}],
  
  Cell[StyleData["4ColumnTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}}],
  
  Cell[StyleData["4ColumnTable", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["5ColumnTable"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnWidths->0.2,
    ColumnAlignments->{Left, Center}}],
  
  Cell[StyleData["5ColumnTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}}],
  
  Cell[StyleData["5ColumnTable", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["6ColumnTable"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnWidths->0.16,
    ColumnAlignments->{Left, Center}}],
  
  Cell[StyleData["6ColumnTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}}],
  
  Cell[StyleData["6ColumnTable", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["7ColumnTable"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnWidths->0.14,
    ColumnAlignments->{Left, Center}}],
  
  Cell[StyleData["7ColumnTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}}],
  
  Cell[StyleData["7ColumnTable", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["8ColumnTable"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnWidths->0.12,
    ColumnAlignments->{Left, Center}}],
  
  Cell[StyleData["8ColumnTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}}],
  
  Cell[StyleData["8ColumnTable", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}}]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Automatic Numbering", "Section"],
  
  Cell["\<\
The following styles are useful for numbered equations, figures, \
etc.  They automatically give the cell a FrameLabel containing a reference to \
a particular counter, and also increment that counter.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["NumberedEquation"],
    CellMargins->{{45, 10}, {7, 7}},
    CellFrameLabels->{{None, Cell[ 
            TextData[ {"(", 
              CounterBox[ "NumberedEquation"], ")"}]]}, {None, None}},
    DefaultFormatType->DefaultInputFormatType,
    CounterIncrements->"NumberedEquation",
    FormatTypeAutoConvert->False],
  
  Cell[StyleData["NumberedEquation", "Printout"],
    CellMargins->{{39, 55}, {0, 10}},
    FontSize->10],
  
  Cell[StyleData["NumberedEquation", "EnhancedPrintout"],
    CellMargins->{{39, 55}, {0, 10}},
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{45, Inherited}, {7, 7}},
    CellHorizontalScrolling->True,
    ScriptLevel->0,
    SingleLetterItalics->True,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Printout"]],
  
  Cell[StyleData["DisplayFormula", "EnhancedPrintout"],
    FontFamily->"Palatino"]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayMath"],
    CellMargins->{{45, 10}, {7, 7}},
    Evaluatable->False,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input"],
  
  Cell[StyleData["DisplayMath", "Printout"],
    CellMargins->{{39, 0}, {6, 6}},
    FontSize->9],
  
  Cell[StyleData["DisplayMath", "EnhancedPrintout"],
    CellMargins->{{39, 0}, {4, 6}},
    FontFamily->"WRICourier",
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["EquationNumber"],
    LineSpacing->{1.83, 0}],
  
  Cell[StyleData["EquationNumber", "Printout"],
    LineSpacing->{1.7, 0}],
  
  Cell[StyleData["EquationNumber", "EnhancedPrintout"],
    LineSpacing->{1.7, 0},
    FontFamily->"Palatino"]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Program"],
    CellFrame->{{0, 0}, {0.5, 0.5}},
    CellMargins->{{12, Inherited}, {7, 7}},
    CellFrameMargins->{{0, 0}, {7, 5}},
    FontFamily->"Courier"],
  
  Cell[StyleData["Program", "Printout"],
    CellMargins->{{18, 30}, {Inherited, 4}},
    FontSize->9.5],
  
  Cell[StyleData["Program", "EnhancedPrintout"],
    CellMargins->{{18, 30}, {Inherited, 4}},
    FontFamily->"WRICourier",
    FontSize->9.5]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Contents and Index", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ContentsTitle"],
    CellMargins->{{10, 4}, {0, 18}},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->26,
    FontWeight->"Bold"],
  
  Cell[StyleData["ContentsTitle", "Printout"],
    CellMargins->{{2, 0}, {0, 18}},
    PageBreakBelow->False,
    FontSize->18],
  
  Cell[StyleData["ContentsTitle", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 18}},
    PageBreakBelow->False,
    FontFamily->"Futura",
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ContentsSection"],
    CellMargins->{{20, 4}, {3, 18}},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->12,
    FontWeight->"Bold"],
  
  Cell[StyleData["ContentsSection", "Printout"],
    CellMargins->{{12, 0}, {3, 18}},
    PageBreakBelow->False,
    FontSize->11],
  
  Cell[StyleData["ContentsSection", "EnhancedPrintout"],
    CellMargins->{{12, 0}, {3, 18}},
    PageBreakBelow->False,
    FontFamily->"Futura",
    FontSize->11]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Contents"],
    CellMargins->{{21, 4}, {0, 8}},
    StyleMenuListing->None],
  
  Cell[StyleData["Contents", "Printout"],
    CellMargins->{{13, 0}, {0, 8}}],
  
  Cell[StyleData["Contents", "EnhancedPrintout"],
    CellMargins->{{13, 0}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->11]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Index"],
    CellMargins->{{21, 4}, {0, 0}},
    ParagraphIndent->-48,
    StyleMenuListing->None],
  
  Cell[StyleData["Index", "Printout"],
    CellMargins->{{13, 0}, {0, 0}},
    FontSize->10],
  
  Cell[StyleData["Index", "EnhancedPrintout"],
    CellMargins->{{13, 0}, {0, 0}},
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["IndexSubentry"],
    CellMargins->{{36, 4}, {0, 0}},
    ParagraphIndent->-48,
    StyleMenuListing->None],
  
  Cell[StyleData["IndexSubentry", "Printout"],
    CellMargins->{{24, 0}, {0, 0}},
    FontSize->10],
  
  Cell[StyleData["IndexSubentry", "EnhancedPrintout"],
    CellMargins->{{24, 0}, {0, 0}},
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Browser Emulation", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TextNormal"],
    CellMargins->{{12, 10}, {7, 7}},
    LineSpacing->{1, 3},
    CounterIncrements->"Text",
    FontFamily->"Times",
    FontSize->12],
  
  Cell[StyleData["TextNormal", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["BrowserEmulation"],
    CellMargins->{{12, 1}, {7, 24}},
    CellGroupingRules->{"SectionGrouping", 70},
    LineSpacing->{1, 3},
    FontFamily->"Helvetica",
    GridBoxOptions->{ColumnWidths->0.25,
    ColumnAlignments->{Left},
    GridFrame->True,
    GridFrameMargins->0.5,
    ColumnLines->True}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CategoryDefs"],
    CellMargins->{{300, 10}, {7, 7}},
    LineSpacing->{1, 3},
    FontFamily->"Helvetica",
    Background->RGBColor[1, 0.8, 0.6],
    GridBoxOptions->{ColumnAlignments->{Left},
    GridFrame->False,
    RowLines->True,
    ColumnLines->True}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Category1"],
    ShowCellBracket->False,
    ShowGroupOpenCloseIcon->True,
    CellMargins->{{12, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 50},
    FontSize->16,
    FontWeight->"Bold"],
  
  Cell[StyleData["Category1", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Category2"],
    ShowCellBracket->False,
    ShowGroupOpenCloseIcon->True,
    CellMargins->{{85, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 60},
    FontSize->14,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 0.500008]],
  
  Cell[StyleData["Category2", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Category3"],
    ShowCellBracket->False,
    ShowGroupOpenCloseIcon->True,
    CellMargins->{{157, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 70},
    FontSize->12,
    FontWeight->"Bold",
    FontColor->RGBColor[0.2, 0, 0.4]],
  
  Cell[StyleData["Category3", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Category4"],
    ShowCellBracket->False,
    ShowGroupOpenCloseIcon->True,
    CellMargins->{{230, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 80},
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0.300008, 0.4]],
  
  Cell[StyleData["Category4", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->8,
    FontWeight->"Bold"],
  
  Cell[StyleData["Header", "Printout"]],
  
  Cell[StyleData["Header", "EnhancedPrintout"],
    FontFamily->"Futura"]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Footer"],
    CellMargins->{{0, 0}, {0, 4}},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->7,
    FontSlant->"Plain"],
  
  Cell[StyleData["Footer", "Printout"]],
  
  Cell[StyleData["Footer", "EnhancedPrintout"],
    FontFamily->"Futura"]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->8,
    FontWeight->"Bold"],
  
  Cell[StyleData["PageNumber", "Printout"]],
  
  Cell[StyleData["PageNumber", "EnhancedPrintout"],
    FontFamily->"Futura"]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontSize->11,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["Hyperlink", "EnhancedPrintout"],
    FontFamily->"Palatino",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line \
help system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontSize->11,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["MainBookLink", "EnhancedPrintout"],
    FontFamily->"Palatino",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["AddOnsLink", "EnhancedPrintout"],
    FontFamily->"WRICourier",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuide", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["RefGuideLink", "EnhancedPrintout"],
    FontFamily->"WRICourier",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontSize->11,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["GettingStartedLink", "EnhancedPrintout"],
    FontFamily->"Palatino",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontSize->11,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["OtherInformationLink", "EnhancedPrintout"],
    FontFamily->"Palatino",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Closed]]
  }, Open  ]]
  }],
MacintoshSystemPageSetup->"\<\
00<0001804P000000]P2:?oQon82n@960dL5:0?l0080001804P000000]P2:001
0000I00000400`<300000BL?00400@0000000000000006P801T1T00000000000
00000000000000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Installation"->{
    Cell[7710, 329, 71, 1, 68, "Section",
      CellTags->"Installation"]},
  "Installation Unix and Windows"->{
    Cell[7806, 334, 106, 1, 56, "Subsection",
      CellTags->"Installation Unix and Windows"],
    Cell[7915, 337, 1632, 43, 119, "Text",
      CellTags->"Installation Unix and Windows"],
    Cell[9550, 382, 136, 3, 27, "Input",
      CellTags->"Installation Unix and Windows"],
    Cell[9882, 396, 112, 3, 27, "Input",
      CellTags->"Installation Unix and Windows"],
    Cell[10083, 406, 649, 15, 74, "Text",
      CellTags->"Installation Unix and Windows"]},
  "Installation Macintosh"->{
    Cell[10769, 426, 82, 1, 56, "Subsection",
      CellTags->"Installation Macintosh"],
    Cell[10854, 429, 1077, 29, 82, "Text",
      CellTags->"Installation Macintosh"]},
  "Commandline"->{
    Cell[11980, 464, 66, 1, 68, "Section",
      CellTags->"Commandline"],
    Cell[12049, 467, 683, 15, 91, "Text",
      CellTags->"Commandline"],
    Cell[12735, 484, 9889, 267, 593, "Table",
      CellTags->"Commandline"],
    Cell[22627, 753, 1499, 42, 148, "Text",
      CellTags->"Commandline"]},
  "ExportFeatures"->{
    Cell[24163, 800, 65, 1, 68, "Section",
      CellTags->"ExportFeatures"],
    Cell[24231, 803, 244, 5, 46, "Text",
      CellTags->"ExportFeatures"],
    Cell[24478, 810, 1815, 42, 203, "Text",
      CellTags->"ExportFeatures"]},
  "Using MathGL from Mathematica"->{
    Cell[26330, 857, 166, 6, 68, "Section",
      CellTags->"Using MathGL from Mathematica"]},
  "MVShow3D"->{
    Cell[26521, 867, 54, 1, 56, "Subsection",
      CellTags->"MVShow3D"],
    Cell[26578, 870, 473, 18, 22, "ItemizedText",
      CellTags->"MVShow3D"],
    Cell[27054, 890, 508, 19, 22, "ItemizedText",
      CellTags->"MVShow3D"],
    Cell[27565, 911, 506, 19, 22, "ItemizedText",
      CellTags->"MVShow3D"],
    Cell[28074, 932, 75, 1, 30, "Text",
      CellTags->"MVShow3D"],
    Cell[28152, 935, 3066, 72, 387, "Text",
      CellTags->"MVShow3D"],
    Cell[31221, 1009, 1102, 37, 65, "Text",
      CellTags->"MVShow3D"]},
  "MVPutTexture"->{
    Cell[32360, 1051, 62, 1, 56, "Subsection",
      CellTags->"MVPutTexture"],
    Cell[32425, 1054, 316, 11, 22, "ItemizedText",
      CellTags->"MVPutTexture"],
    Cell[32744, 1067, 445, 16, 22, "ItemizedText",
      CellTags->"MVPutTexture"],
    Cell[33192, 1085, 414, 16, 22, "ItemizedText",
      CellTags->"MVPutTexture"],
    Cell[33609, 1103, 467, 14, 48, "Text",
      CellTags->"MVPutTexture"],
    Cell[34079, 1119, 741, 21, 99, "Text",
      CellTags->"MVPutTexture"],
    Cell[34823, 1142, 1704, 40, 216, "Text",
      CellTags->"MVPutTexture"],
    Cell[36530, 1184, 297, 8, 48, "Text",
      CellTags->"MVPutTexture"]},
  "MVApplyTexture"->{
    Cell[36864, 1197, 66, 1, 56, "Subsection",
      CellTags->"MVApplyTexture"],
    Cell[36933, 1200, 371, 14, 22, "ItemizedText",
      CellTags->"MVApplyTexture"],
    Cell[37307, 1216, 498, 20, 22, "ItemizedText",
      CellTags->"MVApplyTexture"],
    Cell[37808, 1238, 559, 23, 22, "ItemizedText",
      CellTags->"MVApplyTexture"],
    Cell[38370, 1263, 291, 11, 31, "Text",
      CellTags->"MVApplyTexture"],
    Cell[38664, 1276, 2222, 53, 346, "Text",
      CellTags->"MVApplyTexture"],
    Cell[40889, 1331, 73, 1, 30, "Text",
      CellTags->"MVApplyTexture"],
    Cell[40965, 1334, 1265, 30, 199, "Text",
      CellTags->"MVApplyTexture"],
    Cell[42233, 1366, 337, 7, 47, "Text",
      CellTags->"MVApplyTexture"]},
  "MVGetGraphics3D"->{
    Cell[42607, 1378, 68, 1, 56, "Subsection",
      CellTags->"MVGetGraphics3D"],
    Cell[42678, 1381, 246, 7, 21, "ItemizedText",
      CellTags->"MVGetGraphics3D"],
    Cell[42927, 1390, 752, 24, 66, "Text",
      CellTags->"MVGetGraphics3D"]},
  "MVGetRasterImage"->{
    Cell[43716, 1419, 70, 1, 56, "Subsection",
      CellTags->"MVGetRasterImage"],
    Cell[43789, 1422, 269, 8, 23, "IndentedText",
      CellTags->"MVGetRasterImage"],
    Cell[44061, 1432, 547, 18, 48, "Text",
      CellTags->"MVGetRasterImage"]},
  "MVPasteGraphics"->{
    Cell[44645, 1455, 68, 1, 56, "Subsection",
      CellTags->"MVPasteGraphics"],
    Cell[44716, 1458, 295, 9, 21, "ItemizedText",
      CellTags->"MVPasteGraphics"]},
  "MVClear"->{
    Cell[45048, 1472, 52, 1, 56, "Subsection",
      CellTags->"MVClear"],
    Cell[45103, 1475, 361, 11, 23, "IndentedText",
      CellTags->"MVClear"]},
  "MVClose"->{
    Cell[45501, 1491, 52, 1, 56, "Subsection",
      CellTags->"MVClose"],
    Cell[45556, 1494, 226, 7, 23, "IndentedText",
      CellTags->"MVClose"],
    Cell[45785, 1503, 292, 8, 47, "Text",
      CellTags->"MVClose"]},
  "Export and Import Graphics"->{
    Cell[46126, 1517, 92, 1, 68, "Section",
      CellTags->"Export and Import Graphics"]},
  "MVLoad3Script"->{
    Cell[46243, 1522, 64, 1, 56, "Subsection",
      CellTags->"MVLoad3Script"],
    Cell[46310, 1525, 813, 28, 55, "ItemizedText",
      CellTags->"MVLoad3Script"]},
  "MVLoadDXF"->{
    Cell[47160, 1558, 56, 1, 56, "Subsection",
      CellTags->"MVLoadDXF"],
    Cell[47219, 1561, 600, 22, 38, "ItemizedText",
      CellTags->"MVLoadDXF"],
    Cell[47822, 1585, 164, 4, 30, "Text",
      CellTags->"MVLoadDXF"]},
  "MVLoadOFF"->{
    Cell[48023, 1594, 56, 1, 56, "Subsection",
      CellTags->"MVLoadOFF"],
    Cell[48082, 1597, 600, 22, 38, "ItemizedText",
      CellTags->"MVLoadOFF"],
    Cell[48685, 1621, 183, 4, 30, "Text",
      CellTags->"MVLoadOFF"]},
  "MVWriteOFF"->{
    Cell[48905, 1630, 58, 1, 56, "Subsection",
      CellTags->"MVWriteOFF"],
    Cell[48966, 1633, 434, 17, 22, "ItemizedText",
      CellTags->"MVWriteOFF"],
    Cell[49403, 1652, 455, 17, 22, "ItemizedText",
      CellTags->"MVWriteOFF"],
    Cell[49861, 1671, 118, 3, 30, "Text",
      CellTags->"MVWriteOFF"]},
  "MVWrite3DMF"->{
    Cell[50016, 1679, 60, 1, 56, "Subsection",
      CellTags->"MVWrite3DMF"],
    Cell[50079, 1682, 355, 14, 22, "ItemizedText",
      CellTags->"MVWrite3DMF"],
    Cell[50437, 1698, 467, 17, 38, "ItemizedText",
      CellTags->"MVWrite3DMF"],
    Cell[50907, 1717, 670, 17, 124, "Text",
      CellTags->"MVWrite3DMF"]},
  "MVWriteDXF"->{
    Cell[51614, 1739, 58, 1, 56, "Subsection",
      CellTags->"MVWriteDXF"],
    Cell[51675, 1742, 463, 17, 22, "ItemizedText",
      CellTags->"MVWriteDXF"],
    Cell[52141, 1761, 460, 17, 38, "ItemizedText",
      CellTags->"MVWriteDXF"],
    Cell[52604, 1780, 188, 4, 30, "Text",
      CellTags->"MVWriteDXF"]},
  "MVWriteEPS"->{
    Cell[52829, 1789, 58, 1, 56, "Subsection",
      CellTags->"MVWriteEPS"],
    Cell[52890, 1792, 758, 22, 55, "ItemizedText",
      CellTags->"MVWriteEPS"],
    Cell[53651, 1816, 406, 11, 38, "ItemizedText",
      CellTags->"MVWriteEPS"]},
  "MVWritePOVRay"->{
    Cell[54094, 1832, 64, 1, 56, "Subsection",
      CellTags->"MVWritePOVRay"],
    Cell[54161, 1835, 530, 19, 22, "ItemizedText",
      CellTags->"MVWritePOVRay"],
    Cell[54694, 1856, 504, 17, 38, "ItemizedText",
      CellTags->"MVWritePOVRay"],
    Cell[55201, 1875, 464, 13, 90, "Text",
      CellTags->"MVWritePOVRay"]},
  "MVWritePNG"->{
    Cell[55702, 1893, 58, 1, 56, "Subsection",
      CellTags->"MVWritePNG"],
    Cell[55763, 1896, 525, 18, 38, "ItemizedText",
      CellTags->"MVWritePNG"],
    Cell[56291, 1916, 632, 22, 38, "ItemizedText",
      CellTags->"MVWritePNG"],
    Cell[56926, 1940, 662, 17, 90, "Text",
      CellTags->"MVWritePNG"]},
  "MVWriteVRML"->{
    Cell[57625, 1962, 60, 1, 56, "Subsection",
      CellTags->"MVWriteVRML"],
    Cell[57688, 1965, 347, 14, 22, "ItemizedText",
      CellTags->"MVWriteVRML"],
    Cell[58038, 1981, 457, 17, 22, "ItemizedText",
      CellTags->"MVWriteVRML"],
    Cell[58498, 2000, 1064, 24, 140, "Text",
      CellTags->"MVWriteVRML"],
    Cell[59565, 2026, 160, 4, 30, "Text",
      CellTags->"MVWriteVRML"]},
  "Window Functions"->{
    Cell[59774, 2036, 67, 1, 68, "Section",
      CellTags->"Window Functions"]},
  "MVReshapeWindow"->{
    Cell[59866, 2041, 68, 1, 56, "Subsection",
      CellTags->"MVReshapeWindow"],
    Cell[59937, 2044, 411, 14, 22, "ItemizedText",
      CellTags->"MVReshapeWindow"]},
  "MVShowWindow"->{
    Cell[60385, 2063, 62, 1, 56, "Subsection",
      CellTags->"MVShowWindow"],
    Cell[60450, 2066, 237, 7, 21, "ItemizedText",
      CellTags->"MVShowWindow"]},
  "MVHideWindow"->{
    Cell[60724, 2078, 62, 1, 56, "Subsection",
      CellTags->"MVHideWindow"],
    Cell[60789, 2081, 183, 6, 21, "ItemizedText",
      CellTags->"MVHideWindow"]},
  "MVIconifyWindow"->{
    Cell[61009, 2092, 68, 1, 56, "Subsection",
      CellTags->"MVIconifyWindow"],
    Cell[61080, 2095, 192, 6, 21, "ItemizedText",
      CellTags->"MVIconifyWindow"]},
  "MVPushWindow"->{
    Cell[61309, 2106, 62, 1, 56, "Subsection",
      CellTags->"MVPushWindow"],
    Cell[61374, 2109, 242, 7, 21, "ItemizedText",
      CellTags->"MVPushWindow"]},
  "MVPopWindow"->{
    Cell[61653, 2121, 60, 1, 56, "Subsection",
      CellTags->"MVPopWindow"],
    Cell[61716, 2124, 236, 7, 21, "ItemizedText",
      CellTags->"MVPopWindow"]},
  "MVSpin"->{
    Cell[61989, 2136, 50, 1, 56, "Subsection",
      CellTags->"MVSpin"],
    Cell[62042, 2139, 467, 17, 38, "ItemizedText",
      CellTags->"MVSpin"]},
  "MVStopSpin"->{
    Cell[62546, 2161, 58, 1, 56, "Subsection",
      CellTags->"MVStopSpin"],
    Cell[62607, 2164, 270, 9, 21, "ItemizedText",
      CellTags->"MVStopSpin"]},
  "Utilities"->{
    Cell[62926, 2179, 52, 1, 68, "Section",
      CellTags->"Utilities"],
    Cell[63003, 2184, 83, 1, 56, "Subsection",
      CellTags->{"MVCreatePalette", "Utilities"}],
    Cell[63089, 2187, 230, 6, 23, "IndentedText",
      CellTags->{"MVCreatePalette", "Utilities"}],
    Cell[63322, 2195, 194, 4, 30, "Text",
      CellTags->{"MVCreatePalette", "Utilities"}],
    Cell[63553, 2204, 83, 1, 56, "Subsection",
      CellTags->{"MVPolygonReduce", "Utilities"}],
    Cell[63639, 2207, 335, 11, 24, "IndentedText",
      CellTags->{"MVPolygonReduce", "Utilities"}],
    Cell[63977, 2220, 504, 18, 24, "IndentedText",
      CellTags->{"MVPolygonReduce", "Utilities"}],
    Cell[64484, 2240, 607, 22, 40, "IndentedText",
      CellTags->{"MVPolygonReduce", "Utilities"}],
    Cell[65128, 2267, 73, 1, 56, "Subsection",
      CellTags->{"MVRotate3D", "Utilities"}],
    Cell[65204, 2270, 448, 17, 24, "IndentedText",
      CellTags->{"MVRotate3D", "Utilities"}],
    Cell[65655, 2289, 534, 21, 24, "IndentedText",
      CellTags->{"MVRotate3D", "Utilities"}],
    Cell[66192, 2312, 543, 21, 24, "IndentedText",
      CellTags->{"MVRotate3D", "Utilities"}],
    Cell[68208, 2379, 79, 1, 56, "Subsection",
      CellTags->{"MVTranslate3D", "Utilities"}],
    Cell[68290, 2382, 339, 11, 24, "IndentedText",
      CellTags->{"MVTranslate3D", "Utilities"}],
    Cell[68632, 2395, 487, 18, 24, "IndentedText",
      CellTags->{"MVTranslate3D", "Utilities"}],
    Cell[69122, 2415, 492, 18, 24, "IndentedText",
      CellTags->{"MVTranslate3D", "Utilities"}],
    Cell[70932, 2469, 87, 1, 56, "Subsection",
      CellTags->{"MVGetLightSources", "Utilities"}],
    Cell[71022, 2472, 461, 13, 40, "IndentedText",
      CellTags->{"MVGetLightSources", "Utilities"}],
    Cell[71486, 2487, 655, 20, 42, "IndentedText",
      CellTags->{"MVGetLightSources", "Utilities"}],
    Cell[72178, 2512, 81, 1, 56, "Subsection",
      CellTags->{"MVGetPlotRange", "Utilities"}],
    Cell[72262, 2515, 263, 8, 23, "IndentedText",
      CellTags->{"MVGetPlotRange", "Utilities"}],
    Cell[72562, 2528, 81, 1, 56, "Subsection",
      CellTags->{"MVGetViewPoint", "Utilities"}],
    Cell[72646, 2531, 261, 8, 23, "IndentedText",
      CellTags->{"MVGetViewPoint", "Utilities"}]},
  "MVCreatePalette"->{
    Cell[63003, 2184, 83, 1, 56, "Subsection",
      CellTags->{"MVCreatePalette", "Utilities"}],
    Cell[63089, 2187, 230, 6, 23, "IndentedText",
      CellTags->{"MVCreatePalette", "Utilities"}],
    Cell[63322, 2195, 194, 4, 30, "Text",
      CellTags->{"MVCreatePalette", "Utilities"}]},
  "MVPolygonReduce"->{
    Cell[63553, 2204, 83, 1, 56, "Subsection",
      CellTags->{"MVPolygonReduce", "Utilities"}],
    Cell[63639, 2207, 335, 11, 24, "IndentedText",
      CellTags->{"MVPolygonReduce", "Utilities"}],
    Cell[63977, 2220, 504, 18, 24, "IndentedText",
      CellTags->{"MVPolygonReduce", "Utilities"}],
    Cell[64484, 2240, 607, 22, 40, "IndentedText",
      CellTags->{"MVPolygonReduce", "Utilities"}]},
  "MVRotate3D"->{
    Cell[65128, 2267, 73, 1, 56, "Subsection",
      CellTags->{"MVRotate3D", "Utilities"}],
    Cell[65204, 2270, 448, 17, 24, "IndentedText",
      CellTags->{"MVRotate3D", "Utilities"}],
    Cell[65655, 2289, 534, 21, 24, "IndentedText",
      CellTags->{"MVRotate3D", "Utilities"}],
    Cell[66192, 2312, 543, 21, 24, "IndentedText",
      CellTags->{"MVRotate3D", "Utilities"}]},
  "MVTranslate3D"->{
    Cell[68208, 2379, 79, 1, 56, "Subsection",
      CellTags->{"MVTranslate3D", "Utilities"}],
    Cell[68290, 2382, 339, 11, 24, "IndentedText",
      CellTags->{"MVTranslate3D", "Utilities"}],
    Cell[68632, 2395, 487, 18, 24, "IndentedText",
      CellTags->{"MVTranslate3D", "Utilities"}],
    Cell[69122, 2415, 492, 18, 24, "IndentedText",
      CellTags->{"MVTranslate3D", "Utilities"}]},
  "MVGetLightSources"->{
    Cell[70932, 2469, 87, 1, 56, "Subsection",
      CellTags->{"MVGetLightSources", "Utilities"}],
    Cell[71022, 2472, 461, 13, 40, "IndentedText",
      CellTags->{"MVGetLightSources", "Utilities"}],
    Cell[71486, 2487, 655, 20, 42, "IndentedText",
      CellTags->{"MVGetLightSources", "Utilities"}]},
  "MVGetPlotRange"->{
    Cell[72178, 2512, 81, 1, 56, "Subsection",
      CellTags->{"MVGetPlotRange", "Utilities"}],
    Cell[72262, 2515, 263, 8, 23, "IndentedText",
      CellTags->{"MVGetPlotRange", "Utilities"}]},
  "MVGetViewPoint"->{
    Cell[72562, 2528, 81, 1, 56, "Subsection",
      CellTags->{"MVGetViewPoint", "Utilities"}],
    Cell[72646, 2531, 261, 8, 23, "IndentedText",
      CellTags->{"MVGetViewPoint", "Utilities"}]},
  "Modifications"->{
    Cell[72956, 2545, 95, 1, 68, "Section",
      CellTags->"Modifications"],
    Cell[73054, 2548, 365, 11, 38, "ItemizedText",
      CellTags->"Modifications"],
    Cell[73422, 2561, 318, 12, 21, "ItemizedText",
      CellTags->"Modifications"]},
  "Copyright"->{
    Cell[73777, 2578, 53, 1, 68, "Section",
      CellTags->"Copyright"],
    Cell[73833, 2581, 791, 14, 119, "Text",
      CellTags->"Copyright"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Installation", 121533, 4388},
  {"Installation Unix and Windows", 121646, 4391},
  {"Installation Macintosh", 122140, 4402},
  {"Commandline", 122335, 4407},
  {"ExportFeatures", 122661, 4416},
  {"Using MathGL from Mathematica", 122932, 4423},
  {"MVShow3D", 123043, 4426},
  {"MVPutTexture", 123591, 4441},
  {"MVApplyTexture", 124251, 4458},
  {"MVGetGraphics3D", 125006, 4477},
  {"MVGetRasterImage", 125279, 4484},
  {"MVPasteGraphics", 125554, 4491},
  {"MVClear", 125739, 4496},
  {"MVClose", 125909, 4501},
  {"Export and Import Graphics", 126167, 4508},
  {"MVLoad3Script", 126280, 4511},
  {"MVLoadDXF", 126464, 4516},
  {"MVLoadOFF", 126712, 4523},
  {"MVWriteOFF", 126961, 4530},
  {"MVWrite3DMF", 127296, 4539},
  {"MVWriteDXF", 127636, 4548},
  {"MVWriteEPS", 127970, 4557},
  {"MVWritePOVRay", 128234, 4564},
  {"MVWritePNG", 128581, 4573},
  {"MVWriteVRML", 128917, 4582},
  {"Window Functions", 129338, 4593},
  {"MVReshapeWindow", 129443, 4596},
  {"MVShowWindow", 129634, 4601},
  {"MVHideWindow", 129818, 4606},
  {"MVIconifyWindow", 130005, 4611},
  {"MVPushWindow", 130195, 4616},
  {"MVPopWindow", 130378, 4621},
  {"MVSpin", 130554, 4626},
  {"MVStopSpin", 130725, 4631},
  {"Utilities", 130902, 4636},
  {"MVCreatePalette", 133178, 4683},
  {"MVPolygonReduce", 133494, 4690},
  {"MVRotate3D", 133917, 4699},
  {"MVTranslate3D", 134323, 4708},
  {"MVGetLightSources", 134745, 4717},
  {"MVGetPlotRange", 135076, 4724},
  {"MVGetViewPoint", 135296, 4729},
  {"Modifications", 135515, 4734},
  {"Copyright", 135781, 4741}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 143, 3, 117, "Title"],
Cell[1885, 56, 66, 1, 52, "Subtitle"],

Cell[CellGroupData[{
Cell[1976, 61, 36, 0, 68, "Section"],
Cell[2015, 63, 119, 2, 30, "Text"],
Cell[2137, 67, 151, 2, 22, "IndentedText"],
Cell[2291, 71, 122, 2, 22, "IndentedText"],
Cell[2416, 75, 114, 2, 30, "Text"],
Cell[2533, 79, 114, 2, 30, "Text"],
Cell[2650, 83, 144, 2, 30, "Text"],
Cell[2797, 87, 151, 5, 22, "IndentedText"],
Cell[2951, 94, 159, 5, 22, "IndentedText"],
Cell[3113, 101, 137, 5, 22, "IndentedText"],
Cell[3253, 108, 165, 5, 22, "IndentedText"],
Cell[3421, 115, 141, 5, 22, "IndentedText"],
Cell[3565, 122, 123, 5, 22, "IndentedText"],
Cell[3691, 129, 123, 5, 22, "IndentedText"],
Cell[3817, 136, 138, 2, 30, "Text"],
Cell[3958, 140, 135, 5, 22, "IndentedText"],
Cell[4096, 147, 127, 5, 22, "IndentedText"],
Cell[4226, 154, 224, 9, 46, "IndentedText"],
Cell[4453, 165, 131, 5, 22, "IndentedText"],
Cell[4587, 172, 232, 9, 46, "IndentedText"],
Cell[4822, 183, 129, 5, 22, "IndentedText"],
Cell[4954, 190, 129, 5, 22, "IndentedText"],
Cell[5086, 197, 131, 5, 22, "IndentedText"],
Cell[5220, 204, 131, 5, 30, "Text"],
Cell[5354, 211, 139, 5, 22, "IndentedText"],
Cell[5496, 218, 133, 5, 22, "IndentedText"],
Cell[5632, 225, 133, 5, 22, "IndentedText"],
Cell[5768, 232, 139, 5, 22, "IndentedText"],
Cell[5910, 239, 131, 5, 22, "IndentedText"],
Cell[6044, 246, 133, 5, 22, "IndentedText"],
Cell[6180, 253, 121, 5, 22, "IndentedText"],
Cell[6304, 260, 129, 5, 22, "IndentedText"],
Cell[6436, 267, 100, 2, 30, "Text"],
Cell[6539, 271, 246, 9, 46, "IndentedText"],
Cell[6788, 282, 129, 5, 22, "IndentedText"],
Cell[6920, 289, 135, 5, 22, "IndentedText"],
Cell[7058, 296, 143, 5, 22, "IndentedText"],
Cell[7204, 303, 137, 5, 20, "ItemizedText"],
Cell[7344, 310, 137, 5, 20, "ItemizedText"],
Cell[7484, 317, 26, 0, 27, "Input"],
Cell[7513, 319, 160, 5, 30, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7710, 329, 71, 1, 68, "Section",
  CellTags->"Installation"],

Cell[CellGroupData[{
Cell[7806, 334, 106, 1, 56, "Subsection",
  CellTags->"Installation Unix and Windows"],
Cell[7915, 337, 1632, 43, 119, "Text",
  CellTags->"Installation Unix and Windows"],
Cell[9550, 382, 136, 3, 27, "Input",
  CellTags->"Installation Unix and Windows"],
Cell[9689, 387, 168, 5, 104, "Text"],

Cell[CellGroupData[{
Cell[9882, 396, 112, 3, 27, "Input",
  CellTags->"Installation Unix and Windows"],
Cell[9997, 401, 71, 2, 26, "Output"]
}, Open  ]],
Cell[10083, 406, 649, 15, 74, "Text",
  CellTags->"Installation Unix and Windows"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10769, 426, 82, 1, 56, "Subsection",
  CellTags->"Installation Macintosh"],
Cell[10854, 429, 1077, 29, 82, "Text",
  CellTags->"Installation Macintosh"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[11980, 464, 66, 1, 68, "Section",
  CellTags->"Commandline"],
Cell[12049, 467, 683, 15, 91, "Text",
  CellTags->"Commandline"],
Cell[12735, 484, 9889, 267, 593, "Table",
  CellTags->"Commandline"],
Cell[22627, 753, 1499, 42, 148, "Text",
  CellTags->"Commandline"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24163, 800, 65, 1, 68, "Section",
  CellTags->"ExportFeatures"],
Cell[24231, 803, 244, 5, 46, "Text",
  CellTags->"ExportFeatures"],
Cell[24478, 810, 1815, 42, 203, "Text",
  CellTags->"ExportFeatures"]
}, Open  ]],

Cell[CellGroupData[{
Cell[26330, 857, 166, 6, 68, "Section",
  CellTags->"Using MathGL from Mathematica"],

Cell[CellGroupData[{
Cell[26521, 867, 54, 1, 56, "Subsection",
  CellTags->"MVShow3D"],
Cell[26578, 870, 473, 18, 22, "ItemizedText",
  CellTags->"MVShow3D"],
Cell[27054, 890, 508, 19, 22, "ItemizedText",
  CellTags->"MVShow3D"],
Cell[27565, 911, 506, 19, 22, "ItemizedText",
  CellTags->"MVShow3D"],
Cell[28074, 932, 75, 1, 30, "Text",
  CellTags->"MVShow3D"],
Cell[28152, 935, 3066, 72, 387, "Text",
  CellTags->"MVShow3D"],
Cell[31221, 1009, 1102, 37, 65, "Text",
  CellTags->"MVShow3D"]
}, Open  ]],

Cell[CellGroupData[{
Cell[32360, 1051, 62, 1, 56, "Subsection",
  CellTags->"MVPutTexture"],
Cell[32425, 1054, 316, 11, 22, "ItemizedText",
  CellTags->"MVPutTexture"],
Cell[32744, 1067, 445, 16, 22, "ItemizedText",
  CellTags->"MVPutTexture"],
Cell[33192, 1085, 414, 16, 22, "ItemizedText",
  CellTags->"MVPutTexture"],
Cell[33609, 1103, 467, 14, 48, "Text",
  CellTags->"MVPutTexture"],
Cell[34079, 1119, 741, 21, 99, "Text",
  CellTags->"MVPutTexture"],
Cell[34823, 1142, 1704, 40, 216, "Text",
  CellTags->"MVPutTexture"],
Cell[36530, 1184, 297, 8, 48, "Text",
  CellTags->"MVPutTexture"]
}, Open  ]],

Cell[CellGroupData[{
Cell[36864, 1197, 66, 1, 56, "Subsection",
  CellTags->"MVApplyTexture"],
Cell[36933, 1200, 371, 14, 22, "ItemizedText",
  CellTags->"MVApplyTexture"],
Cell[37307, 1216, 498, 20, 22, "ItemizedText",
  CellTags->"MVApplyTexture"],
Cell[37808, 1238, 559, 23, 22, "ItemizedText",
  CellTags->"MVApplyTexture"],
Cell[38370, 1263, 291, 11, 31, "Text",
  CellTags->"MVApplyTexture"],
Cell[38664, 1276, 2222, 53, 346, "Text",
  CellTags->"MVApplyTexture"],
Cell[40889, 1331, 73, 1, 30, "Text",
  CellTags->"MVApplyTexture"],
Cell[40965, 1334, 1265, 30, 199, "Text",
  CellTags->"MVApplyTexture"],
Cell[42233, 1366, 337, 7, 47, "Text",
  CellTags->"MVApplyTexture"]
}, Open  ]],

Cell[CellGroupData[{
Cell[42607, 1378, 68, 1, 56, "Subsection",
  CellTags->"MVGetGraphics3D"],
Cell[42678, 1381, 246, 7, 21, "ItemizedText",
  CellTags->"MVGetGraphics3D"],
Cell[42927, 1390, 752, 24, 66, "Text",
  CellTags->"MVGetGraphics3D"]
}, Open  ]],

Cell[CellGroupData[{
Cell[43716, 1419, 70, 1, 56, "Subsection",
  CellTags->"MVGetRasterImage"],
Cell[43789, 1422, 269, 8, 23, "IndentedText",
  CellTags->"MVGetRasterImage"],
Cell[44061, 1432, 547, 18, 48, "Text",
  CellTags->"MVGetRasterImage"]
}, Open  ]],

Cell[CellGroupData[{
Cell[44645, 1455, 68, 1, 56, "Subsection",
  CellTags->"MVPasteGraphics"],
Cell[44716, 1458, 295, 9, 21, "ItemizedText",
  CellTags->"MVPasteGraphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[45048, 1472, 52, 1, 56, "Subsection",
  CellTags->"MVClear"],
Cell[45103, 1475, 361, 11, 23, "IndentedText",
  CellTags->"MVClear"]
}, Open  ]],

Cell[CellGroupData[{
Cell[45501, 1491, 52, 1, 56, "Subsection",
  CellTags->"MVClose"],
Cell[45556, 1494, 226, 7, 23, "IndentedText",
  CellTags->"MVClose"],
Cell[45785, 1503, 292, 8, 47, "Text",
  CellTags->"MVClose"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[46126, 1517, 92, 1, 68, "Section",
  CellTags->"Export and Import Graphics"],

Cell[CellGroupData[{
Cell[46243, 1522, 64, 1, 56, "Subsection",
  CellTags->"MVLoad3Script"],
Cell[46310, 1525, 813, 28, 55, "ItemizedText",
  CellTags->"MVLoad3Script"]
}, Open  ]],

Cell[CellGroupData[{
Cell[47160, 1558, 56, 1, 56, "Subsection",
  CellTags->"MVLoadDXF"],
Cell[47219, 1561, 600, 22, 38, "ItemizedText",
  CellTags->"MVLoadDXF"],
Cell[47822, 1585, 164, 4, 30, "Text",
  CellTags->"MVLoadDXF"]
}, Open  ]],

Cell[CellGroupData[{
Cell[48023, 1594, 56, 1, 56, "Subsection",
  CellTags->"MVLoadOFF"],
Cell[48082, 1597, 600, 22, 38, "ItemizedText",
  CellTags->"MVLoadOFF"],
Cell[48685, 1621, 183, 4, 30, "Text",
  CellTags->"MVLoadOFF"]
}, Open  ]],

Cell[CellGroupData[{
Cell[48905, 1630, 58, 1, 56, "Subsection",
  CellTags->"MVWriteOFF"],
Cell[48966, 1633, 434, 17, 22, "ItemizedText",
  CellTags->"MVWriteOFF"],
Cell[49403, 1652, 455, 17, 22, "ItemizedText",
  CellTags->"MVWriteOFF"],
Cell[49861, 1671, 118, 3, 30, "Text",
  CellTags->"MVWriteOFF"]
}, Open  ]],

Cell[CellGroupData[{
Cell[50016, 1679, 60, 1, 56, "Subsection",
  CellTags->"MVWrite3DMF"],
Cell[50079, 1682, 355, 14, 22, "ItemizedText",
  CellTags->"MVWrite3DMF"],
Cell[50437, 1698, 467, 17, 38, "ItemizedText",
  CellTags->"MVWrite3DMF"],
Cell[50907, 1717, 670, 17, 124, "Text",
  CellTags->"MVWrite3DMF"]
}, Open  ]],

Cell[CellGroupData[{
Cell[51614, 1739, 58, 1, 56, "Subsection",
  CellTags->"MVWriteDXF"],
Cell[51675, 1742, 463, 17, 22, "ItemizedText",
  CellTags->"MVWriteDXF"],
Cell[52141, 1761, 460, 17, 38, "ItemizedText",
  CellTags->"MVWriteDXF"],
Cell[52604, 1780, 188, 4, 30, "Text",
  CellTags->"MVWriteDXF"]
}, Open  ]],

Cell[CellGroupData[{
Cell[52829, 1789, 58, 1, 56, "Subsection",
  CellTags->"MVWriteEPS"],
Cell[52890, 1792, 758, 22, 55, "ItemizedText",
  CellTags->"MVWriteEPS"],
Cell[53651, 1816, 406, 11, 38, "ItemizedText",
  CellTags->"MVWriteEPS"]
}, Open  ]],

Cell[CellGroupData[{
Cell[54094, 1832, 64, 1, 56, "Subsection",
  CellTags->"MVWritePOVRay"],
Cell[54161, 1835, 530, 19, 22, "ItemizedText",
  CellTags->"MVWritePOVRay"],
Cell[54694, 1856, 504, 17, 38, "ItemizedText",
  CellTags->"MVWritePOVRay"],
Cell[55201, 1875, 464, 13, 90, "Text",
  CellTags->"MVWritePOVRay"]
}, Open  ]],

Cell[CellGroupData[{
Cell[55702, 1893, 58, 1, 56, "Subsection",
  CellTags->"MVWritePNG"],
Cell[55763, 1896, 525, 18, 38, "ItemizedText",
  CellTags->"MVWritePNG"],
Cell[56291, 1916, 632, 22, 38, "ItemizedText",
  CellTags->"MVWritePNG"],
Cell[56926, 1940, 662, 17, 90, "Text",
  CellTags->"MVWritePNG"]
}, Open  ]],

Cell[CellGroupData[{
Cell[57625, 1962, 60, 1, 56, "Subsection",
  CellTags->"MVWriteVRML"],
Cell[57688, 1965, 347, 14, 22, "ItemizedText",
  CellTags->"MVWriteVRML"],
Cell[58038, 1981, 457, 17, 22, "ItemizedText",
  CellTags->"MVWriteVRML"],
Cell[58498, 2000, 1064, 24, 140, "Text",
  CellTags->"MVWriteVRML"],
Cell[59565, 2026, 160, 4, 30, "Text",
  CellTags->"MVWriteVRML"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[59774, 2036, 67, 1, 68, "Section",
  CellTags->"Window Functions"],

Cell[CellGroupData[{
Cell[59866, 2041, 68, 1, 56, "Subsection",
  CellTags->"MVReshapeWindow"],
Cell[59937, 2044, 411, 14, 22, "ItemizedText",
  CellTags->"MVReshapeWindow"]
}, Open  ]],

Cell[CellGroupData[{
Cell[60385, 2063, 62, 1, 56, "Subsection",
  CellTags->"MVShowWindow"],
Cell[60450, 2066, 237, 7, 21, "ItemizedText",
  CellTags->"MVShowWindow"]
}, Open  ]],

Cell[CellGroupData[{
Cell[60724, 2078, 62, 1, 56, "Subsection",
  CellTags->"MVHideWindow"],
Cell[60789, 2081, 183, 6, 21, "ItemizedText",
  CellTags->"MVHideWindow"]
}, Open  ]],

Cell[CellGroupData[{
Cell[61009, 2092, 68, 1, 56, "Subsection",
  CellTags->"MVIconifyWindow"],
Cell[61080, 2095, 192, 6, 21, "ItemizedText",
  CellTags->"MVIconifyWindow"]
}, Open  ]],

Cell[CellGroupData[{
Cell[61309, 2106, 62, 1, 56, "Subsection",
  CellTags->"MVPushWindow"],
Cell[61374, 2109, 242, 7, 21, "ItemizedText",
  CellTags->"MVPushWindow"]
}, Open  ]],

Cell[CellGroupData[{
Cell[61653, 2121, 60, 1, 56, "Subsection",
  CellTags->"MVPopWindow"],
Cell[61716, 2124, 236, 7, 21, "ItemizedText",
  CellTags->"MVPopWindow"]
}, Open  ]],

Cell[CellGroupData[{
Cell[61989, 2136, 50, 1, 56, "Subsection",
  CellTags->"MVSpin"],
Cell[62042, 2139, 467, 17, 38, "ItemizedText",
  CellTags->"MVSpin"]
}, Open  ]],

Cell[CellGroupData[{
Cell[62546, 2161, 58, 1, 56, "Subsection",
  CellTags->"MVStopSpin"],
Cell[62607, 2164, 270, 9, 21, "ItemizedText",
  CellTags->"MVStopSpin"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[62926, 2179, 52, 1, 68, "Section",
  CellTags->"Utilities"],

Cell[CellGroupData[{
Cell[63003, 2184, 83, 1, 56, "Subsection",
  CellTags->{"MVCreatePalette", "Utilities"}],
Cell[63089, 2187, 230, 6, 23, "IndentedText",
  CellTags->{"MVCreatePalette", "Utilities"}],
Cell[63322, 2195, 194, 4, 30, "Text",
  CellTags->{"MVCreatePalette", "Utilities"}]
}, Open  ]],

Cell[CellGroupData[{
Cell[63553, 2204, 83, 1, 56, "Subsection",
  CellTags->{"MVPolygonReduce", "Utilities"}],
Cell[63639, 2207, 335, 11, 24, "IndentedText",
  CellTags->{"MVPolygonReduce", "Utilities"}],
Cell[63977, 2220, 504, 18, 24, "IndentedText",
  CellTags->{"MVPolygonReduce", "Utilities"}],
Cell[64484, 2240, 607, 22, 40, "IndentedText",
  CellTags->{"MVPolygonReduce", "Utilities"}]
}, Open  ]],

Cell[CellGroupData[{
Cell[65128, 2267, 73, 1, 56, "Subsection",
  CellTags->{"MVRotate3D", "Utilities"}],
Cell[65204, 2270, 448, 17, 24, "IndentedText",
  CellTags->{"MVRotate3D", "Utilities"}],
Cell[65655, 2289, 534, 21, 24, "IndentedText",
  CellTags->{"MVRotate3D", "Utilities"}],
Cell[66192, 2312, 543, 21, 24, "IndentedText",
  CellTags->{"MVRotate3D", "Utilities"}],
Cell[66738, 2335, 45, 0, 30, "Text"],
Cell[66786, 2337, 1238, 30, 203, "Text"],
Cell[68027, 2369, 144, 5, 31, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[68208, 2379, 79, 1, 56, "Subsection",
  CellTags->{"MVTranslate3D", "Utilities"}],
Cell[68290, 2382, 339, 11, 24, "IndentedText",
  CellTags->{"MVTranslate3D", "Utilities"}],
Cell[68632, 2395, 487, 18, 24, "IndentedText",
  CellTags->{"MVTranslate3D", "Utilities"}],
Cell[69122, 2415, 492, 18, 24, "IndentedText",
  CellTags->{"MVTranslate3D", "Utilities"}],
Cell[69617, 2435, 140, 3, 30, "Text"],
Cell[69760, 2440, 1135, 24, 187, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[70932, 2469, 87, 1, 56, "Subsection",
  CellTags->{"MVGetLightSources", "Utilities"}],
Cell[71022, 2472, 461, 13, 40, "IndentedText",
  CellTags->{"MVGetLightSources", "Utilities"}],
Cell[71486, 2487, 655, 20, 42, "IndentedText",
  CellTags->{"MVGetLightSources", "Utilities"}]
}, Open  ]],

Cell[CellGroupData[{
Cell[72178, 2512, 81, 1, 56, "Subsection",
  CellTags->{"MVGetPlotRange", "Utilities"}],
Cell[72262, 2515, 263, 8, 23, "IndentedText",
  CellTags->{"MVGetPlotRange", "Utilities"}]
}, Open  ]],

Cell[CellGroupData[{
Cell[72562, 2528, 81, 1, 56, "Subsection",
  CellTags->{"MVGetViewPoint", "Utilities"}],
Cell[72646, 2531, 261, 8, 23, "IndentedText",
  CellTags->{"MVGetViewPoint", "Utilities"}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[72956, 2545, 95, 1, 68, "Section",
  CellTags->"Modifications"],
Cell[73054, 2548, 365, 11, 38, "ItemizedText",
  CellTags->"Modifications"],
Cell[73422, 2561, 318, 12, 21, "ItemizedText",
  CellTags->"Modifications"]
}, Open  ]],

Cell[CellGroupData[{
Cell[73777, 2578, 53, 1, 68, "Section",
  CellTags->"Copyright"],
Cell[73833, 2581, 791, 14, 119, "Text",
  CellTags->"Copyright"]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

